import React from "react";
import { connect } from "react-redux";

import PageTitle from '../Common/Components/PageTitle';
import PageNavigationMenu from '../Common/Components/PageNavigationMenu';

import MyAccount from './Components/MyAccount';
import AppContext from "../Common/Constants/AppContext";
import { auth } from "../Common/Firebase/Firebase";

const menuItems = [
  {
    name: 'accountDetails',
    text: 'Account Details',
    url: '/account/myaccount',
  }
]

class Account extends React.Component {
  static contextType = AppContext;
  componentDidMount() {
    if (auth.isSignInWithEmailLink(window.location.href)) {
      const { history } = this.props;
      history.push('/account');
    }
  }

  render() {
    const { account } = this.props;
    const { intl: { messages } } = this.context;
    return (
      <div>
        <PageTitle title={messages.myAccount} />
        <PageNavigationMenu
          tabs={menuItems}
        />
        <MyAccount account={account}/>
      </div>
    );
  }
}

const mapStateToProps = ({ account }) => ({
  account,
});

export default connect(mapStateToProps)(Account);
