export const RECEIVE_NEW_TOKEN = 'RECEIVE_NEW_TOKEN'
export const CHECK_TOKEN = 'CHECK_TOKEN'

export const LOAD_USER = "LOAD_USER"
export const LOAD_USER_SUCCESS = "LOAD_USER_SUCCESS"
export const LOAD_USER_FAILED = "LOAD_USER_FAILED"

export const SAVE_PROFILE_PICTURE = "SAVE_PROFILE_PICTURE"
export const SAVE_PROFILE_PICTURE_SUCCESS = "SAVE_PROFILE_PICTURE_SUCCESS"
export const SAVE_PROFILE_PICTURE_FAILED = "SAVE_PROFILE_PICTURE_FAILED"

export const SAVE_USER = "SAVE_USER"
export const SAVE_USER_SUCCESS = "SAVE_USER_SUCCESS"
export const SAVE_USER_FAILED = "SAVE_USER_FAILED"

export const SAVE_PASSWORD = 'SAVE_PASSWORD'
export const SAVE_PASSWORD_SUCCESS = 'SAVE_PASSWORD_SUCCESS'
export const SAVE_PASSWORD_FAILED = 'SAVE_PASSWORD_FAILED'

export const USER_LOGOUT = 'USER_LOGOUT'

export const GET_ACCOUNTS = 'GET_ACCOUNTS'
export const GET_ACCOUNTS_SUCCESS = 'GET_ACCOUNTS_SUCCESS'
export const GET_ACCOUNTS_FAILURE = 'GET_ACCOUNTS_FAILURE'

export default {
  checkToken: (user) => ({
    type: CHECK_TOKEN,
    payload: {
      user,
    }
  }),
  loadUser: (id) => ({
    type: LOAD_USER,
    payload: {
      id,
    }
  }),
  saveProfilePicture: (user) => ({
    type: SAVE_PROFILE_PICTURE,
    payload: {
      user,
    }
  }),
  saveUser: (user) =>({
    type: SAVE_USER,
    payload: {
      user,
    }
  }),
  savePassword: (passwordInfo) =>({
    type: SAVE_PASSWORD,
    payload: {
      passwordInfo,
    }
  }),
  logout: () => ({
    type: USER_LOGOUT,
  }),

  getAccounts: (activePage = 1, filter = {}, type) => ({
    type: GET_ACCOUNTS,
    payload: {
      activePage,
      filter,
      type,
      opts: {}
    }
  }),
};
