import colors from "../../Common/Constants/color";

export default {
  helpText: {
    textAlign: 'right',
    color: colors.primaryRed1,
  },
  actionGroup: {
    display: 'flex',
    justifyContent: 'flex-end',
    alignItems: 'center',
    '& .text-status': {
      justifySelf: 'flex-start',
      marginRight: 'auto',
      color: colors.primaryGray,
    }
  },
  accountAvatarSection: {
    display: 'flex',
  },
  avatarImage: {
    width: 140,
    height: 140,
    position: 'relative',
    '& img': {
      width: '100%',
      height: '100%',
      objectFit: 'cover',
      borderRadius: '50%',
    },
    '& svg': {
      position: 'relative',
      zIndex: 1,
    },
    '& .backgroudContainer': {
      width: 110,
      height: 110,
      borderRadius: '50%',
      backgroundColor: colors.primaryBlue3,
      position: 'absolute',
      top: 15,
      left: 15,
    }
  },
  accountAvatarAction: {
    paddingLeft: '1rem',
    flexGrow: 1,
    display: 'flex',
    flexDirection: 'column',
    justifyContent: 'center',
    '& .upload-image-container': {
      position: 'relative',
      color: colors.primaryBlue,
      cursor: 'pointer',
      marginBottom: '1rem',
      '& .upload-image-text': {
        position: 'relative',
        cursor: 'pointer',
      },
      '& .input-upload-file': {
        position: 'absolute',
        top: 0,
        right: 0,
        left: 0,
        bottom: 0,
        opacity: 0,
        cursor: 'pointer',
      },
      '& ::-webkit-file-upload-button': {
        cursor: 'pointer',
      },
    },
    '& .remove-image': {
      color: colors.primaryGray2,
      cursor: 'pointer',
    }
  }
}