import React from 'react';
import { IoIosAddCircle } from 'react-icons/io';
import { Popup } from 'semantic-ui-react';
import colors from "../../Constants/color";
import injectSheet from "react-jss";

const stylesheet = {
  btnAdd: {
    position: 'fixed',
    bottom: '2rem',
    right: '2rem',
    cursor: 'pointer',
    zIndex: 10,
  }
}

const AddButton = ({ classes, content, ...attribute }) => (
  <Popup
    trigger={
      <IoIosAddCircle
        className={classes.btnAdd}
        size={60}
        color={colors.primaryGreen}
        onClick={() => this.setState({
          toggleInventoryModal: true,
          inventoryInfo: {}
        })}
        {...attribute}
      />
    }
    content={content}
    inverted
    position='left center'
  />
)

export default injectSheet(stylesheet)(AddButton);
