import React from 'react';
import PropTypes from 'prop-types';
import injectsheet from 'react-jss';
import colors from "../../Constants/color";

const stylesheet = {
  checkMark: {
    width: 8,
    height: 20,
    transform: 'rotate(45deg)',
    border: `solid ${colors.mainBlue}`,
    borderWidth: [0, 2, 2, 0]
  }
}

const CheckMark = ({ classes, className, ...props }) => (
  <div className={`${classes.checkMark} ${className}`} {...props} />
);

CheckMark.propTypes = {
  className: PropTypes.string,
};

CheckMark.defaultProps = {
  className: '',
}

export default injectsheet(stylesheet)(CheckMark);
