import React from "react";
import PropTypes from 'prop-types';
import { Checkbox as SemanticCheckbox } from "semantic-ui-react";
import injectSheet from "react-jss";
import colors from "../../Constants/color";

const stylesheet = {
  checkboxStyle: {
    '&.ui.checkbox input:checked~.box:before, &.ui.checkbox input:checked~label:before': {
      backgroundColor: `${colors.primaryBlue} !important`,
      borderColor: 'transparent !important',
    },
    '&.ui.checkbox input:checked~.box:after, &.ui.checkbox input:checked~label:after': {
      color: `${colors.primaryWhite} !important`,
    },
  }
}

const Checkbox = ({ classes, className, ...attr }) => (
  <SemanticCheckbox
    className={`${className} ${classes.checkboxStyle}`}
    {...attr}
  />
)

Checkbox.propTypes = {
  className: PropTypes.string,
}

Checkbox.defaultProps = {
  className: '',
}

export default injectSheet(stylesheet)(Checkbox);