import React from 'react';
import { Popup, Button } from 'semantic-ui-react';
import colors from "../../Constants/color";
import injectSheet from "react-jss";

const stylesheet = {
  btnImport: {
    position: 'fixed',
    bottom: '6.5rem',
    right: '2.6rem',
    cursor: 'pointer',
    zIndex: 10,
    backgroundColor: `${colors.primaryWhite} !important`,
    border: `1px solid ${colors.primaryGray10} !important`
  }
}

const ImportButton = ({ classes, content, onClick, ...attribute }) => (
  <Popup
    trigger={
      <Button className={classes.btnImport} circular icon='sign-in' onClick={onClick} />
    }
    content={content}
    inverted
    position='left center'
  />
)

export default injectSheet(stylesheet)(ImportButton);
