import { call, takeLatest } from "redux-saga/effects";
import { get } from '../../Utils/AxiosClient';

import { GET_ELECTORATE } from "./ElectorateActionCreator";
import Utils from "../../Utils/Utils";

function* watchGetElectorate({ payload: { callback, filter, activePage } }) {
  try {
    const cleanObject = Utils.cleanObject(filter);
    const url = `/voting-districts`;
    const skip = (activePage - 1) * 20;
    const params = {
      filter: cleanObject,
      limit: 20,
      skip,
      sort: {"name":1},
    };
    const res = yield call(get, url, params);
    const totalPage = Utils.getTotalPage(res.data.metadata);
    callback(res.data.data, totalPage);
  } catch (e) {

  }
}

function* ElectorateSaga() {
  yield takeLatest(GET_ELECTORATE, watchGetElectorate);
}

export default ElectorateSaga;
