export const UPLOAD_FILE_START = 'UPLOAD_FILE_START'
export const UPLOAD_FILE_FAILURE = 'UPLOAD_FILE_FAILURE'
export const UPLOAD_FILE_SUCCESS = 'UPLOAD_FILE_SUCCESS'
export const UPLOAD_FILE_STATE_CHANGE = 'UPLOAD_FILE_STATE_CHANGE'
export const IMPORT_FILE_START = 'IMPORT_FILE_START'
export const IMPORT_FILE_SUCCESS = 'IMPORT_FILE_SUCCESS'
export const IMPORT_FILE_FAILURE = 'IMPORT_FILE_FAILURE'
export const RESET_FILES = 'RESET_FILES'

export default {
  uploadFileStart: ({ fileId, fileName, task }) => ({
    type: UPLOAD_FILE_START,
    payload: {
      fileId,
      fileName,
      task
    },
  }),
  uploadFileFailure: ({ fileId }) => ({
    type: UPLOAD_FILE_FAILURE,
    payload: {
      fileId,
    },
  }),
  uploadFileSuccess: ({ fileId }) => ({
    type: UPLOAD_FILE_SUCCESS,
    payload: {
      fileId,
    },
  }),
  uploadFileStateChange: ({ fileId, progress }) => ({
    type: UPLOAD_FILE_STATE_CHANGE,
    payload: {
      fileId,
      progress
    },
  }),
  resetFiles: () => ({
    type: RESET_FILES,
  })
}