import * as uploadTypes from "./FileUploadCreator";
import Enum from "../../Constants/Enum";

const initialState = {};

const actionsMap = {
  // Async action
  [uploadTypes.UPLOAD_FILE_START]: (state, payload) => {
    const { fileId, fileName, task } = payload;
    return {
      ...state,
      [fileId]: {
        fileId,
        fileName,
        task,
        progress: 0,
        status: Enum.FileUploadStatus.Idle,
      }
    }
  },
  [uploadTypes.UPLOAD_FILE_STATE_CHANGE]: (state, payload) => {
    const { fileId, progress } = payload;
    return {
      ...state,
      [fileId]: {
        ...state[fileId],
        progress,
        status: Enum.FileUploadStatus.Uploading,
      }
    }
  },
  [uploadTypes.UPLOAD_FILE_FAILURE]: (state, payload) => {
    const { fileId } = payload;
    return {
      ...state,
      [fileId]: {
        ...state[fileId],
        progress: 0,
        status: Enum.FileUploadStatus.Failure,
      }
    }
  },
  [uploadTypes.UPLOAD_FILE_SUCCESS]: (state, payload) => {
    const { fileId } = payload;
    return {
      ...state,
      [fileId]: {
        ...state[fileId],
        progress: 100,
        status: Enum.FileUploadStatus.Success,
      }
    }
  },
  [uploadTypes.RESET_FILES]: () => {
    return initialState;
  },
};

export default function reducer(state = initialState, action = {}) {
  const fn = actionsMap[action.type];
  return fn ? fn(state, action.payload) : state;
}
