import React from "react";
import {
  withGoogleMap,
  GoogleMap,
} from "react-google-maps";

const MapWithDom = withGoogleMap(({handleMapLoad, children, ...attribute}) => {
    return (
      <GoogleMap
        ref={handleMapLoad}
        defaultOptions={{streetViewControl: false, mapTypeControl: false}}
        {...attribute}
      >
        {children}
      </GoogleMap>
    )
  }
);

const Map = (props) => (
  <MapWithDom
    containerElement={<div style={{ height: `100%` }} />}
    mapElement={<div style={{ height: `100%` }} />}
    {...props}
  />
)

export default Map;