import React from "react";
import injectSheet from "react-jss";

const style = {
  modal: {
    display: "none" /* Hidden by default */,
    position: "fixed" /* Stay in place */,
    zIndex: "1" /* Sit on top */,
    paddingTop: "100px" /* Location of the box */,
    left: 0,
    top: 0,
    width: "100%" /* Full width */,
    height: "100%" /* Full height */,
    overflow: "auto" /* Enable scroll if needed */,
    backgroundColor: "rgba(0,0,0,0.4)" /* Black w/ opacity */,
    "&.open": {
      display: "block"
    }
  },
  modalContent: {
    position: "relative",
    backgroundColor: "#fefefe",
    margin: "auto",
    padding: 0,
    border: "1px solid #888",
    width: "80%",
    boxShadow: "0 4px 8px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19)",
    animation: "animatetop 0.5s"
  },
  "@keyframes animatetop": {
    from: { top: "-300px", opacity: 0 },
    to: { top: 0, opacity: 1 }
  }
};

const Modal = ({ classes, open, children }) => (
  <div className={classes.modal + (open ? " open" : "")}>
    <div className={classes.modalContent}>{children}</div>
  </div>
);

export default injectSheet(style)(Modal);
