import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from "react-jss";
import { NavLink } from 'react-router-dom';

import colors from "../Constants/color";

const style = {
  pageNavigationMenu: {
    height: 50,
    minHeight: 50,
    paddingTop: '1.3rem',
    paddingLeft: '1.3rem',
    backgroundColor: colors.primaryBlue5,
    color: colors.primaryWhite,
    marginTop: 0,
    borderRadius: 0,
    display: 'flex',
    '& a': {
      color: colors.primaryWhite,
      fontSize: '0.9rem',
      padding: [0, 20],
      display: 'flex',
      alignItems: 'center',
      borderTopLeftRadius: 4,
      borderTopRightRadius: 4,
      '&.active': {
        backgroundColor: colors.primaryWhite,
        color: colors.primaryGray,
      }
    }
  }
}

const PageNavigationMenu = ({ classes, tabs }) => (
  <div className={`${classes.pageNavigationMenu} no-print`}>
    {
      tabs.map(item => (
        <NavLink key={item.name} to={item.url}>
          {item.text}
        </NavLink>
      ))
    }
  </div>
);

PageNavigationMenu.propTypes = {
  tabs: PropTypes.arrayOf(PropTypes.shape({})).isRequired,
};

export default injectSheet(style)(PageNavigationMenu);
