import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from "react-jss";

import colors from '../Constants/color';

const style = {
  pageTitle: {
    width: '100%',
    textAlign: 'center',
    color: colors.primaryWhite,
    backgroundColor: colors.primaryBlue5,
    fontSize: '1.2rem',
    lineHeight: '50px',
    height: '50px',
    minHeight: 50,
    position: 'relative',
    '& .back-url': {
      position: 'absolute',
      display: 'flex',
      paddingLeft: 15,
      '& a': {
        fontSize: '1rem',
        color: colors.primaryWhite,
      }
    }
  }
}

const PageTitle = ({ classes, title }) => (
  <div className={`${classes.pageTitle} no-print`}>
    {title}
  </div>
);

PageTitle.propTypes = {
  title: PropTypes.string.isRequired,
};

export default injectSheet(style)(PageTitle);