import colors from "../../Constants/color";

const stylesheet = {
  schedulerContainer: {
    '& .scheduler-row': {
      display: 'flex',
      '& .resource': {
        width: 300,
        minWidth: 300,
        display: 'flex',
        flexDirection: 'column',
        borderRight: `1px solid #CDD4D9`,
        '& .resource-header': {
          textAlign: 'center',
          fontWeight: 'bold',
          height: 74,
          minHeight: 74,
          lineHeight: '74px',
          border: `1px solid #CDD4D9`,
          borderRight: 'none',
        },
        '& .resource-container': {
          height: 74,
          minHeight: 74,
          borderBottom: `1px dashed #CDD4D9`,
          display: 'flex',
          alignItems: 'center',
          '&:last-child': {
            borderBottom: `1px solid #CDD4D9`,
          },
          '& img': {
            width: 40,
            height: 40,
            objectFit: 'cover',
            margin: [0, 20],
          },
          '& .action': {
            justifySelf: 'flex-end',
            marginLeft: 'auto',
            paddingRight: 10,
            fontWeight: 'bold',
            cursor: 'pointer',
          }
        }
      },
      '& .hour-container': {
        padding: [0],
        flexGrow: 1,
        display: 'flex',
        overflow: 'auto',
        flexDirection: 'column',
        '& .hour-header': {
          display: 'flex',
          height: 74,
          minHeight: 74,
          lineHeight: '74px',
          fontWeight: 'bold',
          '& .hour-space': {
            width: 100,
            minWidth: 100,
            borderTop: `1px solid #CDD4D9`,
            borderBottom: `1px solid #CDD4D9`,
            '&:first-child': {
              '& .hour-label': {
                marginLeft: 0,
              },
            },
            '& .hour-label': {
              marginLeft: -17,
            },
            '&.value': {
              borderLeft: `1px solid #CDD4D9`,
            }
          }
        },
        '& .hour-value': {
          display: 'flex',
          position: 'relative',
          '& .hour-space': {
            width: 100,
            minWidth: 100,
            height: 74,
            borderLeft: `1px solid #CDD4D9`,
            borderBottom: `1px dashed #CDD4D9`,
            position: 'relative',
            '&:first-child': {
              borderLeft: 'none',
            },
            '& .middle-time': {
              position: 'absolute',
              height: '100%',
              marginLeft: 50,
              borderRight: `1px dashed #CDD4D9`,
            }
          },
          '& .hour-range': {
            height: 34,
            borderRadius: 17,
            backgroundColor: colors.primaryGreen,
            position: 'absolute',
            top: '50%',
            transform: 'translateY(-50%)',
            textAlign: 'center',
            color: colors.primaryBlack,
            lineHeight: '34px',
            fontWeight: 'bold',
          }
        }
      }
    }
  },
  resourceAction: {
    paddingRight: 30,
    textAlign: 'left',
    '& .action': {
      margin: 10,
      cursor: 'pointer',
    }
  }
}

export default stylesheet;