import colors from "../../Constants/color";

const stylesheet = {
  sidebarMenu: {
    width: 230,
    minWidth: 230,
    display: 'flex',
    flexDirection: 'column',
    backgroundColor: colors.primaryBlue,
    padding: [0, 20],
    fontSize: '1rem',
  },
  logoSection: {
    height: 170,
    position: 'relative',
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    minHeight: 'fit-content',
  },
  menuSection: {
    padding: 10,
    borderRadius: 4,
    display: 'flex',
    alignItems: 'flex-start',
    flexDirection: 'column',
    marginBottom: 20,
    transition: 'background-color 1s',
    minHeight: 'fit-content',
    '&.active': {
      backgroundColor: colors.primaryBlue1,
      '& .sub-section': {
        display: 'flex',
      }
    },
    '& .main-section': {
      '& a': {
        display: 'flex',
        alignItems: 'center',
        color: colors.primaryWhite,
        '& span': {
          marginLeft: 10,
        }
      },
    },
    '& .sub-section': {
      display: 'none',
      alignItems: 'flex-start',
      flexDirection: 'column',
      '& a': {
        paddingLeft: 34,
        marginTop: 7,
        color: colors.primaryWhite1,
        transition: 'color 0.6s',
        '&.active': {
          color: colors.primaryWhite,
        },
      }
    },
  },
  userSection: {
    padding: 10,
    borderRadius: 4,
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'flex-start',
    justifySelf: 'flex-end',
    marginBottom: '2rem',
    cursor: 'pointer',
    // to let justifySelf work
    marginTop: 'auto',
    transition: 'background-color 1s',
    '&.active': {
      backgroundColor: colors.primaryBlue1,
    },
    '& .user-name': {
      marginLeft: 10,
      color: colors.primaryWhite,
    },
  },
  myAccountPopover: {
    '&.ui.popup': {
      padding: 0,
      '& .item': {
        display: 'flex',
        alignItems: 'center',
        '& a': {
          marginLeft: '1rem',
          color: colors.primaryBlack,
        }
      }
    },
  },
}

export default stylesheet;