export default {
  UserRole: {
    owner: 'owner',
    admin: 'admin',
    volunteer_coordinator: 'volunteer_coordinator',
  },
  ContactTypeEnum: {
    person: 'person',
    organisation: 'organisation',
  },
  PrefixNameEnum: {
    mr: 'mr',
    mrs: 'mrs',
    ms: 'ms',
  },
  VolunteerStatus: {
    active: 'active',
    inactive: 'inactive',
    retired: 'retired',
  },
  DonorType: {
    recurring: 'recurring',
    once_off: 'once_off',
    never: 'never',
  },
  PaymentEnum: {
    donationPayment: 'DonationPayment',
    membershipPayment: 'MembershipPayment',
  },
  PaymentTypeEnum: {
    onceOffDonation: 'once-off-donation',
    recurringDonation: 'recurring-donation',
    membership: 'membership',
  },
  DonationTypeEnum: {
    onceOffDonation: 'once-off-donation',
    recurringDonation: 'recurring-donation',
  },
  PaymentMethodEnum: {
    cash: 'cash',
    cheque: 'cheque',
    paypal_manual: 'paypal_manual',
    // paypal_nb: 'paypal_nb',
    credit_card_stripe: 'credit_card_stripe',
    credit_card_paypal: 'credit_card_paypal'
  },
  FinanceStatus: {
    succeeded: 'succeeded',
    failed: 'failed',
  },
  PartyBranches: {
    act: 'ACT',
    qld: 'QLD',
    nsw: 'NSW',
    nt: 'NT',
    tas: 'TAS',
    sa: 'SA',
    vic: 'VIC',
    wa: 'WA'
  },
  PerPage: 20,
  AccountPerPage: 50,
  TeamSettingPerPage: 50,
  MembershipSettingPerPage: 50,
  ContactPerPage: 50,
  VolunteerPerPage: 50,
  NotePerPage: 20,
  TaskPerPage: 20,
  DashboardTaskPerPage: 5,
  DashboardDonationPerPage: 5,
  SegmentFilterPerPage: 50,
  ActivitiesPerPage: 20,
  SchedulePerPage: 20,
  PaymentPerPage: 50,
  ContactFlag: {
    donor: 'donor',
    member: 'member',
    volunteer: 'volunteer',
  },
  EventLocationStatus: {
    pending: 'pending',
    inprogress: 'in-progress',
    complete: 'complete',
  },
  DistributionMethods: {
    manually: 'manually',
    equalToNumberOfVotes: 'equal-to-expected-votes',
    equalToNumberOfVotesDivided500: 'equal-to-expected-votes-divided-by-500',
    equalToNumberOfVolunteersAtLocation: 'equal-to-volunteers',
  },
  DeliveryStatus: {
    pending: 'pending',
    received: 'received',
    notReceived: 'not-received',
  },
  StateAustralia: {
    NSW: 'New South Wales',
    QLD: 'Queensland',
    SA: 'South Australia',
    TAS: 'Tasmania',
    VIC: 'Victoria',
    WA: 'Western Australia',
    ACT: 'Australian Capital Territory',
    NT: 'Northern Territory',
  },
  ContactNotes: {
    general: 'general',
    memberships: 'memberships',
    volunteering: 'volunteering',
    donations: 'donations',
  },
  SortDirection: {
    asc: 'ascending',
    des: 'descending',
  },
  Tender: {
    cash: 'Cash',
    cheque: 'Cheque/Money Order',
    credit_card_stripe: 'Credit Card',
    // nb_paypal: 'NB/Paypal',
    paypal_manual: 'PayPal - Manual',
  },
  ErrorTypes: {
    duplicate: 'duplication',
    validation: 'validation',
    payment: 'payment'
  },
  LetterTypes: {
    donationThankYouLetter: 'donation_thank_you_letter',
    membershipConfirmationLetter: 'membership_confirmation_letter',
    membershipExpiring: 'membership_expiring',
    membershipExpired: 'membership_expired'
  },
  Interests: {
    hunting: 'Hunting',
    fishing: 'Fishing',
    farming: 'Farming',
    camping: 'Camping',
    _4WDing: '4WDing',
    firearmsCollector: 'Firearms Collector',
    targetShooter: 'Target Shooter',
    paintballing: 'Paintballing',
    greyhounds: 'Greyhounds'
  },
  MembershipClasses: {
    concession: 'Concession',
    adult: 'Adult'
  },
  DonationPeriods: {
    weekly: 'Weekly',
    monthly: 'Monthly'
  },
  MembershipStatus: {
    active: 'active'
  },
  VolunteerRoles: [
    'Displaying a corflute poster',
    'Hand out on Election Day',
    'Hand out at an early voting centre',
    'Making phone calls',
    'Letterboxing leaflets',
    'Data Entry',
    'Door knocking',
    'Host a gathering',
    'Branch meetings and activities',
    'Helping with events in my area',
    'Delivering materials',
    'Help with fundraising',
    'Scrutineer after an Election',
    'Coordinating volunteers',
    'Transporting people to events'
  ],
  ImportHistoryTypes: {
    'electoral-roll': 'Electoral Roll',
    'contacts': 'Contact',
    'location': 'Location'
  },
  ProfessionalTitleOptions: [
    'Professional',
    'Employee',
    'Business',
    'Farming & Agriculture',
    'Self-employed',
    'Student',
    'Retired',
    'Unemployed',
    'Other'
  ],
  FileUploadState: {
    Running: 'running',
  },
  FileUploadStatus: {
    Idle: 'idle',
    Failure: 'failure',
    Success: 'success',
    Uploading: 'uploading'
  },
  StateBranches: ['NSW', 'VIC', 'WA', 'QLD', 'ACT', 'TAS', 'NT', 'SA'],
  DeleteContactReason: {
    admin_error: 'admin_error',
    executive_committee_decision: 'executive_committee_decision',
    member_requested_removal_resignation: 'member_requested_removal',
    deceased: 'deceased',
  },
  DeleteContactReasonText: {
    admin_error: 'Admin Error',
    executive_committee_decision: 'Executive Committee Decision',
    member_requested_removal_resignation: 'Member requested removal/resignation',
    deceased: 'Deceased',
  }
}
