import React from 'react';
import { Button, Form, Header } from "semantic-ui-react";
import injectSheet from "react-jss";
import AppContext from "../../Constants/AppContext";

const style= {
  formResetEmail: {
  },
  resetPasswordText: {
    margin: [45, 0],
  }
}

class FormEmailSent extends React.Component {
  static contextType = AppContext;
  render() {
    const { classes, changeForm } = this.props;
    const { intl: { messages } } = this.context;
    return (
      <div className={classes.formResetEmail}>
        <Form
          onSubmit={this.handleSubmit}
        >
          <Header as='h1' textAlign='center'>{messages.emailSent}</Header>
          <div className={classes.resetPasswordText}>
            {messages.resetPasswordMessage}
          </div>
          <Button
            color='blue'
            fluid
            onClick={() => changeForm('login')}
          >
            {messages.returnToSignIn}
          </Button>
        </Form>
      </div>
    )
  }
}

export default injectSheet(style)(FormEmailSent);
