import { auth } from './Firebase';

/**
 * Create user session
 * @param {string} action - createUser, signIn
 * @param {string} email
 * @param {string} password
 */
const userSession = (action, email, password) => auth[`${action}WithEmailAndPassword`](email, password);

const resetPassword = (email) => auth.sendPasswordResetEmail(email);

const signInWithEmailLink = (email) => auth.signInWithEmailLink(email, window.location.href);
/**
 * Destroy current user session
 */
const logout = () => auth.signOut();

export {
  userSession,
  resetPassword,
  logout,
  signInWithEmailLink,
}