import { UPDATE_LOCALE } from "./LanguageActionCreator";
import language from "./data";

const defaultLocal = 'en';
const initialState = {
  locale: defaultLocal,
  messages: language.en,
};

const actionsMap = {
  // Async action
  [UPDATE_LOCALE]: (state, { locale }) => {
    return {
      locale: locale,
      messages: {
        ...language['en'],
        ...language[locale],
      },
    };
  },
};

export default function reducer(state = initialState, action = {}) {
  const fn = actionsMap[action.type];
  return fn ? fn(state, action.payload) : state;
}
