import { combineReducers } from 'redux'
import intl from './Language/LanguageReducer'
import fileUploadReducer from './Components/FileUpload/FileUploadReducer'
import accountReducer from '../Account/AccountReducer'
import settingsReducer from '../Settings/SettingsReducer'
import contactsReducer from '../Contact/Reducers/ContactsReducer'
import eventsReducer from '../Events/Reducers/EventsReducer'
import locationsReducer from '../Events/Reducers/LocationsReducer'
import inventoriesReducer from '../Events/Reducers/InventoryReducer'
import locationSchedule from '../Events/Reducers/ScheduleReducer'
import criteriaReducer from '../Contact/Reducers/CriteriaReducer'
import financeReducer from '../Finance/Reducers/FinanceReducer'
import paymentReducer from '../Finance/Reducers/PaymentReducer'
import toolsReducer from '../Tools/ToolsReducer'
import dashboadReducer from '../Dashboard/DashboardReducer'

const appReducer = combineReducers({
  intl,
  account: accountReducer,
  settings: settingsReducer,
  contacts: contactsReducer,
  finances: financeReducer,
  events: eventsReducer,
  locations: locationsReducer,
  inventories: inventoriesReducer,
  schedule: locationSchedule,
  criteria: criteriaReducer,
  payments: paymentReducer,
  tools: toolsReducer,
  dashboard: dashboadReducer,
  fileUploads: fileUploadReducer
});

const rootReducer = (state, action) => {
  if (action.type === 'USER_LOGOUT') {
    state = undefined;
  }
  return appReducer(state, action);
}

export default rootReducer;
