import { fork, all } from "redux-saga/effects"

import AccountSaga from '../Account/AccountSaga'
import SettingsSaga from "../Settings/SettingsSaga"
import ContactSaga from "../Contact/Saga/ContactSaga"
import EventSaga from "../Events/Sagas/EventSaga"
import LocationSaga from "../Events/Sagas/LocationSaga"
import InventorySaga from "../Events/Sagas/InventorySaga"
import ScheduleSaga from "../Events/Sagas/ScheduleSaga"
import ContactNoteSaga from "../Contact/Saga/ContactNoteSaga"
import ElectorateSaga from "./Components/ElectorateComponent/ElectorateSaga"
import EventNoteSaga from "../Events/Sagas/EventNoteSaga"
import LocationNoteSaga from "../Events/Sagas/LocationNoteSaga"
import SmsSagas from "./SMS/SmsSagas"
import ContactScheduleSaga from "../Contact/Saga/ContactScheduleSaga"
import ContactActivitiesSaga from "../Contact/Saga/ContactActivitiesSage"
import ContactTaskSaga from "../Contact/Saga/ContactTaskSaga"
import ContactOrderSaga from "../Contact/Saga/ContactOrderSaga"
import CriteriaSaga from "../Contact/Saga/CriteriaSaga"
import PaymentSaga from "../Finance/Sagas/PaymentSaga"
import ToolsSaga from "../Tools/ToolsSaga"
import DashboardsSaga from "../Dashboard/DashboardSaga"

function* RootSaga() {
  yield all([
    fork(AccountSaga),
    fork(SettingsSaga),
    fork(ContactSaga),
    fork(ContactNoteSaga),
    fork(ContactTaskSaga),
    fork(ContactScheduleSaga),
    fork(ContactOrderSaga),
    fork(EventSaga),
    fork(LocationSaga),
    fork(InventorySaga),
    fork(ScheduleSaga),
    fork(ElectorateSaga),
    fork(EventNoteSaga),
    fork(LocationNoteSaga),
    fork(SmsSagas),
    fork(ContactActivitiesSaga),
    fork(CriteriaSaga),
    fork(PaymentSaga),
    fork(ToolsSaga),
    fork(DashboardsSaga),
  ]);
}

export default RootSaga;
