import React from 'react';
import AppContext from "../Constants/AppContext";

const Authorization = (allowedRoles) => (WrappedComponent) => {
  class WithAuthorization extends React.Component {
    render() {
      const { userRole } = this.context;
      if (allowedRoles.includes(userRole.role)) {
        return <WrappedComponent {...this.props} />
      } else {
        return <div>
          <h1>You may not have permission to view this page.</h1>
          <h3>The page will be redirected after 3 seconds</h3>
        </div>
      }
    }

    componentDidMount() {
      const { userRole } = this.context;
      const { history } = this.props;
      if (!allowedRoles.includes(userRole.role)) {
        setTimeout(() => {
          history.push('/');
        }, 3000);
      }
    }
  }

  WithAuthorization.contextType = AppContext;

  return WithAuthorization;
}

export default Authorization;