import React from "react";
import { Switch, Route } from "react-router-dom";

import Authorization from './Authorization';
import Account from "../../Account/Account";
import Settings from "../../Settings/Settings";
import PageNotFound from "../Components/PageNotFound";
import Contact from "../../Contact/Contact";
import ContactDetail from '../../Contact/ContactDetail';
import Events from '../../Events/Events';
import EventDetail from "../../Events/EventDetail";
import Finance from "../../Finance/Finance";
import FinanceDetail from "../../Finance/FinanceDetail";
import Tools from "../../Tools/Tools";
import Dashboard from "../../Dashboard/Dashboard";

// Use later
// const Owner = Authorization(['owner']);
const Admin = Authorization(['owner', 'admin']);
const Volunteer = Authorization(['owner', 'admin', 'volunteer_coordinator']);

const MyRoute = () => (
  <Switch>
    <Route exact path={routeCodes.HOME} component={Volunteer(Dashboard)} />
    <Route exact path={routeCodes.DASHBOARD} component={Volunteer(Dashboard)} />
    <Route path={routeCodes.ACCOUNT} component={Volunteer(Account)} />
    <Route path={routeCodes.SETTING} component={Admin(Settings)} />
    <Route path={routeCodes.CONTACTS} component={Volunteer(Contact)} />
    <Route path={routeCodes.CONTACT_DETAIL} component={Volunteer(ContactDetail)} />
    <Route path={routeCodes.FINANCE} component={Volunteer(Finance)} />
    <Route path={routeCodes.FINANCE_DETAIL} component={Volunteer(FinanceDetail)} />
    <Route path={routeCodes.EVENTS} component={Volunteer(Events)} />
    <Route path={routeCodes.EVENTS_DETAIL} component={Volunteer(EventDetail)} />
    <Route path={routeCodes.TOOLS} component={Volunteer(Tools)} />
    <Route path="*" component={PageNotFound} />
  </Switch>
);

export const routeCodes = {
  HOME: "/",
  DASHBOARD: '/dashboard',
  ACCOUNT: "/account",
  SETTING: "/settings",
  CONTACTS: '/contacts',
  CONTACT_DETAIL: '/contact-detail/:id',
  FINANCE: '/finance',
  FINANCE_DETAIL: '/finance-detail/:id',
  EVENTS: '/events',
  EVENTS_DETAIL: '/event-detail/:id',
  TOOLS: '/tools',
};

export default MyRoute;
