import React from 'react';
import { connect } from "react-redux";
import injectSheet from "react-jss";
import { BrowserRouter } from "react-router-dom";
import { ToastContainer } from 'react-toastify';
import { Icon } from 'semantic-ui-react';
import 'react-toastify/dist/ReactToastify.css';

import MyRoute from "./MyRoute";
import Sidebar from '../Components/Sidebar/Sidebar';

import stylesheet from './stylesheet';
const CloseButton = ({ closeToast }) => (
  <Icon name='times circle outline' onClick={closeToast}/>
);
const SiteSkin = ({ classes, userData }) => (
  <BrowserRouter>
    <div className={classes.siteSkin}>
      <ToastContainer
        position="top-right"
        autoClose={5000}
        newestOnTop
        closeOnClick
        pauseOnVisibilityChange
        draggable
        pauseOnHover
        className={classes.toastContainer}
        toastClassName={classes.toastClass}
        closeButton={<CloseButton/>}
      />
      <Sidebar userData={userData} />
      <div className={classes.appContent}>
        <MyRoute />
      </div>
    </div>
  </BrowserRouter>
)

const mapStateToProps = ({ account: { userData } }) => ({
  userData,
})

export default connect(mapStateToProps,)(injectSheet(stylesheet)(SiteSkin));
