import colors from "../Constants/color";

const stylesheet = {
  siteSkin: {
    width: '100vw',
    height: '100vh',
    display: 'flex',
  },
  appContent: {
    flexGrow: 1,
    overflow: 'auto',
    maxHeight: '100%',
  },
  toastContainer: {
    '& .Toastify__toast--success': {
      backgroundColor: colors.primaryGreen,
    },
    '& .Toastify__toast--error': {
      backgroundColor: colors.primaryRed,

    },
    '& .Toastify__toast--warning': {
      backgroundColor: colors.primaryYellow,
    },
    '& .Toastify__toast': {
      padding: '5px 2px 8px 18px',
      borderRadius: '4px'
    }
  },
  toastClass: {

  },
  '@global': {
    'body': {
      fontFamily: 'Open sans,sans-serif',
      color: colors.primaryGray5
    },
    'a': {
      color: '#45A1F1',
    },
    '.ui.table': {
      color: colors.primaryGray5,
    },
    '.ui.basic.table th': {
      textTransform: 'uppercase'
    },
    '.ui.green.button': {
      backgroundColor: colors.primaryGreen,
      '&:hover': {
        backgroundColor: colors.primaryGreenHover,
      },
      '&:focus': {
        backgroundColor: colors.primaryGreenHover,
      }
    },
    'textarea': {
      resize: 'none !important',
    },
    '.ui.form .disabled.field, .ui.form .disabled.fields .field, .ui.form .field :disabled': {
      opacity: '0.9 !important'
    },
    '@media print': {
      '.no-print': {
        display: 'none',
      }
    }
  }
};

export default stylesheet;