import { createStore, applyMiddleware } from "redux";
import createSagaMiddleware from "redux-saga";
import RootReducer from "./RootReducer";
import RootSaga from "./RootSaga";
import logger from 'redux-logger';
import en from './Language/data/en';

// create the saga middleware
const sagaMiddleware = createSagaMiddleware();

const defaultLocal = 'en';
const initialState = {
  intl: {
    locale: defaultLocal,
    messages: en,
  },
}

const store = createStore(RootReducer, initialState, applyMiddleware(sagaMiddleware, logger));

sagaMiddleware.run(RootSaga);

export default store;
