export const GET_CONTACT_ONCE_OFF_DONATION_ORDERS = 'GET_CONTACT_ONCE_OFF_DONATION_ORDERS';
export const GET_CONTACT_ONCE_OFF_DONATION_ORDERS_SUCCESS = 'GET_CONTACT_ONCE_OFF_DONATION_ORDERS_SUCCESS';
export const GET_CONTACT_ONCE_OFF_DONATION_ORDERS_FAILURE = 'GET_CONTACT_ONCE_OFF_DONATION_ORDERS_FAILURE';

export const GET_CONTACT_RECURRING_DONATION_ORDERS = 'GET_CONTACT_RECURRING_DONATION_ORDERS';
export const GET_CONTACT_RECURRING_DONATION_ORDERS_SUCCESS = 'GET_CONTACT_RECURRING_DONATION_ORDERS_SUCCESS';
export const GET_CONTACT_RECURRING_DONATION_ORDERS_FAILURE = 'GET_CONTACT_RECURRING_DONATION_ORDERS_FAILURE';

export const CREATE_CONTACT_DONATION_ORDER = 'CREATE_CONTACT_DONATION_ORDER';
export const UPDATE_CONTACT_DONATION_ORDER = 'UPDATE_CONTACT_DONATION_ORDER';

export const GET_CONTACT_MEMBERSHIP_ORDERS = 'GET_CONTACT_MEMBERSHIP_ORDERS';
export const GET_CONTACT_MEMBERSHIP_ORDERS_SUCCESS = 'GET_CONTACT_MEMBERSHIP_ORDERS_SUCCESS';
export const GET_CONTACT_MEMBERSHIP_ORDERS_FAILURE = 'GET_CONTACT_MEMBERSHIP_ORDERS_FAILURE';

export const CREATE_CONTACT_MEMBERSHIP_ORDER = 'CREATE_CONTACT_MEMBERSHIP_ORDER';
export const UPDATE_CONTACT_MEMBERSHIP_ORDER = 'UPDATE_CONTACT_MEMBERSHIP_ORDER';

export const GET_CONTACT_DONATION_SUMMARY = 'GET_CONTACT_DONATION_SUMMARY';
export const GET_CONTACT_DONATION_SUMMARY_SUCCESS = 'GET_CONTACT_DONATION_SUMMARY_SUCCESS';
export const GET_CONTACT_DONATION_SUMMARY_FAILURE = 'GET_CONTACT_DONATION_SUMMARY_FAILURE';

export const GET_CONTACT_MEMBERSHIPS = 'GET_CONTACT_MEMBERSHIPS';
export const GET_CONTACT_MEMBERSHIPS_SUCCESS = 'GET_CONTACT_MEMBERSHIPS_SUCCESS';
export const GET_CONTACT_MEMBERSHIPS_FAILURE = 'GET_CONTACT_MEMBERSHIPS_FAILURE';

export const GET_CONTACT_MEMBERSHIP_PAYMENTS = 'GET_CONTACT_MEMBERSHIP_PAYMENTS';
export const GET_CONTACT_MEMBERSHIP_PAYMENTS_SUCCESS = 'GET_CONTACT_MEMBERSHIP_PAYMENTS_SUCCESS';
export const GET_CONTACT_MEMBERSHIP_PAYMENTS_FAILURE = 'GET_CONTACT_MEMBERSHIP_PAYMENTS_FAILURE';

export const GET_CONTACT_DONATION_PAYMENTS = 'GET_CONTACT_DONATION_PAYMENTS';
export const GET_CONTACT_DONATION_PAYMENTS_SUCCESS = 'GET_CONTACT_DONATION_PAYMENTS_SUCCESS';
export const GET_CONTACT_DONATION_PAYMENTS_FAILURE = 'GET_CONTACT_DONATION_PAYMENTS_FAILURE';

export const CANCEL_ORDER = 'CANCEL_ORDER';
export const CANCEL_ORDER_SUCCESS = 'CANCEL_ORDER_SUCCESS';
export const CANCEL_ORDER_FAILURE = 'CANCEL_ORDER_FAILURE';

export const RENEW_ORDER = 'RENEW_ORDER';
export const RENEW_ORDER_SUCCESS = 'RENEW_ORDER_SUCCESS';
export const RENEW_ORDER_FAILURE = 'RENEW_ORDER_FAILURE';

export const UPDATE_PAYMENT_SOURCE = "UPDATE_PAYMENT_SOURCE";

export default {
  getContactMembershipOrders: (activePage = 1, filter = {}) => ({
    type: GET_CONTACT_MEMBERSHIP_ORDERS,
    payload: {
      activePage,
      filter,
    }
  }),
  createContactMembershipOrder: (order) => ({
    type: CREATE_CONTACT_MEMBERSHIP_ORDER,
    payload: {
      order,
    }
  }),
  updateContactMembershipOrder: (order) => ({
    type: UPDATE_CONTACT_MEMBERSHIP_ORDER,
    payload: {
      order,
    }
  }),

  getContactOnceOffDonationOrders: (activePage = 1, filter = {}) => ({
    type: GET_CONTACT_ONCE_OFF_DONATION_ORDERS,
    payload: {
      activePage,
      filter,
    }
  }),
  getContactRecurringDonationOrders: (activePage = 1, filter = {}) => ({
    type: GET_CONTACT_RECURRING_DONATION_ORDERS,
    payload: {
      activePage,
      filter,
    }
  }),
  createContactDonationOrder: (order) => ({
    type: CREATE_CONTACT_DONATION_ORDER,
    payload: {
      order,
    }
  }),
  updateContactDonationOrder: (order) => ({
    type: UPDATE_CONTACT_DONATION_ORDER,
    payload: {
      order,
    }
  }),

  getMemberships: (activePage = 1, filter = {}) => ({
    type: GET_CONTACT_MEMBERSHIPS,
    payload: {
      activePage,
      filter,
    }
  }),

  getContactDonationSummary: (contactId) => ({
    type: GET_CONTACT_DONATION_SUMMARY,
    payload: {
      contactId,
    }
  }),

  getContactMembershipPayments: (activePage = 1, filter = {}) => ({
    type: GET_CONTACT_MEMBERSHIP_PAYMENTS,
    payload: {
      activePage,
      filter,
    }
  }),

  getContactDonationPayments: (activePage = 1, filter = {}) => ({
    type: GET_CONTACT_DONATION_PAYMENTS,
    payload: {
      activePage,
      filter,
    }
  }),

  cancelOrder: (orderId, type) => ({
    type: CANCEL_ORDER,
    payload: {
      orderId,
      type
    }
  }),

  renewOrder: (orderId, startDate, expiryDate, type) => ({
    type: RENEW_ORDER,
    payload: {
      orderId,
      startDate,
      expiryDate,
      type
    }
  }),

  updatePaymentSource: (order_id, source_id) => ({
    type: UPDATE_PAYMENT_SOURCE,
    payload: {
      order_id,
      source_id,
    }
  }),

};
