export const GET_CRITERIA_LIST = 'GET_CRITERIA_LIST';
export const GET_CRITERIA_LIST_SUCCESS = 'GET_CRITERIA_LIST_SUCCESS';
export const GET_CRITERIA_LIST_FAILED = 'GET_CRITERIA_LIST_FAILED';

export const CREATE_CRITERIA = 'CREATE_CRITERIA';
export const SAVE_CRITERIA = 'SAVE_CRITERIA';
export const DELETE_CRITERIA = 'DELETE_CRITERIA';

export default {
  getCriteriaList: (accountId, activePage = 1, filter = {}) => ({
    type: GET_CRITERIA_LIST,
    payload: {
      activePage,
      accountId,
      filter,
    }
  }),
  createCriteria: (accountId, criteria, opts = {}) => ({
    type: CREATE_CRITERIA,
    payload: {
      accountId,
      criteria,
      opts,
    }
  }),
  saveCriteria: (accountId, criteria, opts = {}) => ({
    type: SAVE_CRITERIA,
    payload: {
      accountId,
      criteria,
      opts,
    }
  }),
  deleteCriteria: (accountId, id) => ({
    type: DELETE_CRITERIA,
    payload: {
      accountId,
      id,
    }
  }),
};
