import React from 'react';
import PropTypes from 'prop-types';
import injectSheet from "react-jss";
import colors from "../../../Common/Constants/color";

const stylesheet = {
  contactStatus: {
    padding: [5, 8],
    fontSize: '0.9rem',
    color: colors.primaryWhite,
    backgroundColor: colors.primaryRed3,
    textAlign: 'center',
    borderRadius: 4,
    '&.deceased': {
      backgroundColor: colors.primaryGray,
    }
  }
}

class ContactStatus extends React.PureComponent {
  render() {
    const { classes, contactDetail } = this.props;
    if(!contactDetail.do_not_contact && !contactDetail.is_deceased && !contactDetail.deleted) {
      return null;
    }
    let text = "Do Not Contact";
    if(contactDetail.is_deceased) {
      text = 'Deceased';
    }
    if(contactDetail.deleted) {
      text = 'Deleted';
    }
    return (
      <span className={`contact-status ${classes.contactStatus} ${contactDetail.is_deceased ? 'deceased' : ''}`}>
        {text}
      </span>
    )
  }
}

ContactStatus.propTypes = {
  contactDetail: PropTypes.shape({}),
};

ContactStatus.defaultProps = {
  contactDetail: {},
}

export default injectSheet(stylesheet)(ContactStatus);