import React from 'react';
import { Tab } from 'semantic-ui-react';
import injectSheet from "react-jss";
import FinancePayment from "./FinancePayment";
import FinanceMemberships from "./FinanceMemberships";
import FinanceRecurringDonations from "./FinanceRecurringDonations";

const style = {
  financePage: {
    padding: '2rem',
  }
};

const getPanels = (match, { contactPayments, contactPaymentsDonation, contactPaymentsMemberships }) => ([
  {
    menuItem: 'Payments', render: () => (
      <Tab.Pane>
        <FinancePayment match={match} contactPayments={contactPayments} />
      </Tab.Pane>
    )
  },
  {
    menuItem: 'Memberships', render: () => (
      <Tab.Pane>
        <FinanceMemberships match={match} contactPaymentsMemberships={contactPaymentsMemberships} />
      </Tab.Pane>
    )
  },
  {
    menuItem: 'Recurring Donations', render: () => (
      <Tab.Pane>
        <FinanceRecurringDonations match={match} contactPaymentsDonation={contactPaymentsDonation} />
      </Tab.Pane>
    )
  },
])

class ContactDetailFinance extends React.Component {
  render() {
    const { classes, match, contacts } = this.props;
    return (
      <div className={classes.financePage}>
        <Tab panes={getPanels(match, contacts)} />
      </div>
    );
  }
}

export default injectSheet(style)(ContactDetailFinance);