import React from 'react';
import { Grid } from 'semantic-ui-react';
import injectSheet from "react-jss";

import ProfileCard from './ProfileCard';
import ProfileInformation from './ProfileInformation/ProfileInformation';

const style = {
  contactDetailPage: {
    paddingTop: 20,
    padding: '2rem',
  },
  profileCard: {
    '&.ui.card': {
      '& .profile-image': {
        position: 'absolute',
        left: '50%',
        transform: 'translate(-50%, -50%)',
        width: '80px',
        height: '80px',
        borderRadius: '50%',
        objectFit: 'cover',
      },
      '& .profile-content': {
        marginTop: 50,
        borderTop: 0,
        textAlign: 'center',
      }
    },
  }
}

const ContactDetailProfile = ({ classes, selectedContactDetail, history }) => (
  <div className={classes.contactDetailPage}>
    <Grid>
      <Grid.Column computer={5}>
        <ProfileCard selectedContactDetail={selectedContactDetail} history={history}/>
      </Grid.Column>
      <Grid.Column computer={11}>
        <ProfileInformation selectedContactDetail={selectedContactDetail}/>
      </Grid.Column>
    </Grid>
  </div>
);

export default injectSheet(style)(ContactDetailProfile);
