import React from 'react';
import { Form, Grid } from 'semantic-ui-react';
import AppContext from "../../../../Common/Constants/AppContext";
import ReduxStatus from "../../../../Common/Constants/ReduxStatus";


class VotingDetail extends React.Component {
  render() {
    const { intl: { messages } } = this.context;
    const { selectedContactDetail: { selectedContact, status } } = this.props;

    return (
      <Form
        loading={status === ReduxStatus.loading}
        error={status === ReduxStatus.saveFailed || status === ReduxStatus.loadFailed}
      >
        <Grid>
          <Grid.Row>
            <Grid.Column mobile={16} tablet={6} computer={6} className='text-info'>
              {messages.matchedToVoter}
            </Grid.Column>
            <Grid.Column mobile={16} tablet={10} computer={10} className='value-info'>
              {selectedContact.matched_to_voter ? 'Yes' : 'No'}
            </Grid.Column>
          </Grid.Row>
          <Grid.Row>
            <Grid.Column mobile={16} tablet={6} computer={6} className='text-info'>
              {messages.nameOnElectoralRoleRecord}
            </Grid.Column>
            <Grid.Column mobile={16} tablet={10} computer={10} className='value-info'>
              {selectedContact.name_on_electoral_roll_record}
            </Grid.Column>
          </Grid.Row>
        </Grid>
      </Form>
    );
  }
}

VotingDetail.contextType = AppContext;

export default VotingDetail;
