import colors from "../../../Common/Constants/color";

const stylesheet  = {
  sectionTitle: {
    fontSize: '1.1rem',
    marginBottom: 36,
  },
  contactDetailVolunteerPage: {
    paddingTop: 20,
    padding: '2rem',
    '& .ui.accordion .title .dropdown.icon': {
      transform: 'rotate(180deg)',
      float: 'right',
      position: 'relative',
      top: 15,
    },
    '& .ui.accordion .active.title .dropdown.icon': {
      transform: 'rotate(90deg)',
      float: 'right',
    },
    '& .accordion .title .label': {
      textTransform: 'uppercase',
      fontWeight: 'bold',
      width: '100%',
      fontSize: '1rem',
      backgroundColor: '#F5F5F5',
      padding: [0, 11],
      height: 40,
      lineHeight: '40px'
    },
    '& .information-content': {
      padding: [20, 40],
      '& .text-info': {
        color: colors.primaryGray,
        fontWeight: 'bold',
      },
      '& .value-info': {
        color: colors.primaryGray2,
        '& i' : {
          cursor: 'pointer',
          fontSize: '0.9rem',
        }
      },
    }
  },
  displayText: {
    display: 'inline-block',
    cursor: 'pointer',
    '& i': {
      marginLeft: '1rem',
      display: 'none',
    },
    '&:hover i': {
      display: 'inline-block',
    }
  },
  editInput: {
    display: 'flex',
    alignItems: 'center',
    '& .field': {
      marginBottom: '0 !important',
    },
    '& i': {
      marginLeft: '1rem',
      cursor: 'pointer',
    },
    '& input': {
      width: '14rem !important',
      maxWidth: '100%',
    },
    '& .ui.selection.dropdown': {
      width: '14rem !important',
      maxWidth: '100%',
    }
  },
  specialisationContainer: {
    '& .ui.basic.table': {
      border: 'none',
      '& th': {
        borderBottom: '2px solid #9B9B9B',
      },
      '& .specialisation-row': {
        '& .user-action': {
          display: 'none',
          justifyContent: 'flex-end',
          '& div': {
            marginRight: '3rem',
            cursor: 'pointer',
            color: colors.primaryBlue,
          }
        },
        '&:hover': {
          '& .user-action': {
            display: 'flex',
          }
        },
      },
      '& .add-specialisation-button': {
        width: 90,
        float: 'right',
        marginRight: 0,
        '& i': {
          backgroundColor: `${colors.primaryWhite} !important`,
          color: `${colors.primaryGreen} !important`,
          top: 8,
          right: 7,
          fontSize: 10,
        }
      }
    },
  }
};

export default stylesheet;