import React from 'react';
import { Tab } from "semantic-ui-react";
import injectSheet from 'react-jss';

import stylesheet from './stylsheet';
import CriteriaList from "./Criteria/CriteriaList";

class AdvanceFilterSegment extends React.Component {

  getPanels = () => {
    const { criteriaList, accountList } = this.props;
    return [
      {
        menuItem: "Saved Segment",
        render: () => (
          <CriteriaList criteriaList={criteriaList} accountList={accountList} />
        )
      }
    ];
  }

  render() {
    const { classes } = this.props;
    return (
      <div className={classes.advancedFilterSegmentContainer}>
        <Tab menu={{ secondary: true, pointing: true }} panes={this.getPanels()} />
      </div>
    );
  }
}

export default injectSheet(stylesheet)(AdvanceFilterSegment);
