import contactStyle from '../stylesheet';
import colors from "../../../../Common/Constants/color";

const stylesheet = {
  contactAdvancedFilterSegment: {
    display: 'flex',
    height: 'calc(100vh - 100px)',
    '& .contact-advanced-list': {
      extend: contactStyle.contactPage,
      flexGrow: 1,
      overflow: 'auto',
      '& .profile-image': {
        extend: contactStyle.profileImage,
      },
      '& .contact-information': {
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center',
        padding: [20, 10],
        borderBottom: `1px solid #dedede`,
        '& .action-container': {
          border: '1px solid #B4BEC7',
          borderRadius: 4,
          height: 38,
          width: 'fit-content',
          minWidth: 'fit-content',
          color: colors.primaryGray2,
          textTransform: 'capitalize',
          lineHeight: '34px',
          padding: [0, 15],
          float: 'right',
          cursor: 'pointer',
          fontWeight: 700,
          fontSize: '0.9rem',
        }
      },
    },
    '& .advanced-filter-segment': {
      width: 500,
      minWidth: 500,
      position: 'relative',
      backgroundColor: '#F7F7F7',
      overflow: 'auto',
      padding: [0, 15],
    }
  },
  flagIcon: {
    extend: contactStyle.flagIcon,
  },
  contactActions: {
    extend: contactStyle.headerAction,
  }
};

export default stylesheet;