import React, {useState, useRef} from 'react';
import {Input, Select} from 'semantic-ui-react';
import PropTypes from 'prop-types'

const options = [
  {key: 'name', value: 'name', text: 'Name'},
  {key: 'email', value: 'email', text: 'Email'},
  {key: 'phone', value: 'phone', text: 'Phone Number'},
  {key: 'nationbuilder_id', value: 'nationbuilder_id', text: 'NationBuilder ID'},
  {key: 'membership_number', value: 'membership_number', text: 'Membership Number'},
]

let timeOut = null
const SearchGroup = (props) => {
  const {onSearch} = props
  const inputRef = useRef()
  const [type, setType] = useState('name')
  const [value, setValue] = useState('')

  const onSelect = (_, data) => {
    setType(data.value)
    setValue('')
    setTimeout(() => {
      inputRef.current.focus()
    })
  }

  const onChange = (e, data) => {
    setValue(data.value)
    clearTimeout(timeOut)
    timeOut = setTimeout(() => {
      onSearch({searchText: data.value, searchKey: type})
    }, 400)
  }

  return (
     <Input
        ref={inputRef} 
        value={value} 
        onChange={onChange}
        placeholder="Search..." 
        actionPosition="left"
        action={
          <Select value={type} options={options} onChange={onSelect} />
        }
    />
  )
}

export default SearchGroup;

SearchGroup.propTypes = {
  onSearch: PropTypes.func.isRequired
}
