import colors from "../../../Common/Constants/color";

const stylesheet = {
  contactPage: {
    '& .ui.basic.table': {
      borderTop: 'none',
      '& .action-container': {
        border: '1px solid #B4BEC7',
        borderRadius: 4,
        height: 38,
        width: 'fit-content',
        minWidth: 'fit-content',
        color: colors.primaryGray2,
        textTransform: 'capitalize',
        lineHeight: '34px',
        padding: [0, 15],
        float: 'right',
        cursor: 'pointer',
        fontWeight: 700,
        fontSize: '0.9rem',
      }
    },
    '& .contact-row': {
      '& .user-action': {
        display: 'flex',
        visibility: 'hidden',
        justifyContent: 'flex-end',
        '& div': {
          marginRight: '3rem',
          cursor: 'pointer',
          color: colors.primaryBlue,
        }
      },
      '& .volunteer-city': {
        color: colors.primaryBlack1,
        marginTop: 4,
        fontSize: '0.9rem',
      },
      '&:hover': {
        '& .user-action': {
          visibility: 'visible',
        }
      },
    },
    '& .contact-header th': {
      whiteSpace: 'normal'
    },
    '& .ui.pagination.menu': {
      transform: 'translateX(-50%)',
      maxWidth: '100%',
      left: '50%',
      position: 'relative',
    },
  },
  flagIcon: {
    display: 'flex',
    alignItems: 'center',
    '& i': {
      fontSize: '1.5rem !important',
      opacity: '0.7 !important',
      marginRight: 5,
    },
    '& i.disabled.icon': {
      opacity: '0.15 !important',
    },
    '& i.inverted.circular.icon': {
      fontSize: '1rem !important',
      width: '1.5rem !important',
      height: '1.5rem !important',
      padding: '0 !important',
      paddingTop: '0.25rem !important',
    }
  },
  profileImage: {
    width: 34,
    height: 34,
    objectFit: 'cover',
    borderRadius: '50%',
  },
  fullNameStyle: {
    cursor: 'pointer',
  },
  contactSearch: {
    width: '100%',
    display: 'flex',
    justifyContent: 'flex-end',
    '& .input': {
      width: 260,
      maxWidth: '100%',
    }
  },
  headerAction: {
    paddingRight: 30,
    textAlign: 'left',
    '& .action': {
      margin: 10,
      cursor: 'pointer',
    }
  }
};

export default stylesheet;