import colors from "../../../Common/Constants/color";

const stylesheet = {
  contactMembershipPage: {
    paddingTop: 20,
    padding: '2rem',
    '& .membership-list-container': {
      margin: '25px 20px 0px 0px',
      '& .action-row': {
        '& .add-membership-button': {
          width: 150,
          float: 'right',
          marginRight: 0,
          marginBottom: 20,
          '& i': {
            backgroundColor: `${colors.primaryWhite} !important`,
            color: `${colors.primaryGreen} !important`,
            top: '8px !important',
            right: '7px !important',
            fontSize: 10,
          }
        },
      },
      '& .ui.basic.table': {
        border: 'none',
        '& th': {
          borderBottom: '2px solid #9B9B9B',
        },
        '& td': {
          fontWeight: 'bold',
          borderTop: 0,
          paddingTop: 20
        },
        '& .status': {
          fontWeight: 'normal',
          borderRadius: 8,
          textAlign: 'center',
          width: 90,
          minWidth: 90,
          fontSize: '0.9em',
          '&.active': {
            backgroundColor: colors.primaryGreen2,
            color: colors.primaryGreen1,
          },
          '&.unpaid': {
            backgroundColor: colors.primaryYellow1,
            color: colors.primaryYellow2,
          },
          '&.inactive': {
            backgroundColor: colors.primaryYellow1,
            color: colors.primaryYellow2,
          },
          '&.expired': {
            backgroundColor: colors.primaryYellow1,
            color: colors.primaryYellow2,
          },
          '&.cancelled': {
            backgroundColor: colors.primaryRed4,
            color: colors.primaryRed,
          },
          '&.pending': {
            backgroundColor: colors.primaryGray10,
            color: colors.primaryGray2,
          },
        },
        '& .membership-row': {
          '& .user-action': {
            visibility: 'hidden',
            color: colors.primaryGray6,
            fontSize: '0.8em',
            '& a': {
              cursor: 'pointer'
            }
          },
          '&:hover': {
            '& .user-action': {
              visibility: 'visible',
            }
          },
        }
      },
      '& .empty-list-message': {
        textAlign: 'center',
        '& .icon-membership': {
          color: colors.primaryGray7,
          margin: '0 auto'
        }
      }
    },
    '& .related-member-details': {
      marginTop: 40,
      '& .title': {
        width: '100%',
        height: '40px',
        padding: '0 11px',
        fontSize: '1rem',
        fontWeight: 'bold',
        lineHeight: '40px',
        textTransform: 'uppercase',
        backgroundColor: colors.primaryGray4
      },
      '& form': {
        margin: '20px 20px'
      }
    }
  }
};

export default stylesheet;
