import colors from "../../../../Common/Constants/color";

const stylesheet = {
  contactOverviewNote: {
    '& .contact-note-header': {
      display: 'flex',
      justifyContent: 'space-between',
      '& .add-note': {
        marginRight: 0,
        '& i': {
          backgroundColor: `${colors.primaryWhite} !important`,
          color: `${colors.primaryGreen} !important`,
          top: '8px !important',
          right: '7px !important',
          fontSize: 10,
        }
      }
    },
    '& .item': {
      '&:hover': {
        cursor: 'unset !important',
        backgroundColor: '#fff !important',
      },
      '& .content': {
        display: 'flex',
        padding: '5px 20px',
        color: colors.primaryBlack1,
        '& .date-add': {
          width: 200,
          paddingLeft: 20,
          marginTop: 20,
          color: colors.primaryGray8,
        },
        '& .note-content': {
          '& .pin': {
            cursor: 'pointer',
            position: 'absolute',
            top: 10,
            right: 20,
            color: '#c2d1da'
          },
          backgroundColor: '#f4f8fb',
          '&.pinned': {
            backgroundColor: '#e5f3ff',
            '& .pin': {
              color: '#0696ed'
            }
          },
          position: 'relative',
          borderRadius: 8,
          padding: "15px 30px",
          flexGrow: 1,
          '& .author': {
            marginTop: 20,
            '& span':{
              color: colors.mainBlue
            }
          },
          '& .category': {
            marginTop: 7,
            color: colors.primaryGray8,
          },
          '& .item-action': {
            position: 'absolute',
            bottom: 10,
            right: 20,
            width: 90,
            minWidth: 90,
            display: 'flex',
            justifyContent: 'space-between',
            color: colors.primaryBlue,
          },
        },
        '&:hover': {
          '& .note-content': {
            '& .item-action': {
              display: 'flex',
              fontWeight: 300,
              cursor: 'pointer',
            }
          }
        },
      }
    },
    '& .ui.pagination.menu': {
      marginLeft: '50%',
      transform: 'translateX(-50%)',
      maxWidth: '100%',
    },
  }
};

export default stylesheet;