import colors from "../../../../Common/Constants/color";

const stylesheet = {
  contactOverviewTask: {
    '& .contact-task-header': {
      display: 'flex',
      justifyContent: 'space-between',
      '& .add-task': {
        marginRight: 0,
        '& i': {
          backgroundColor: `${colors.primaryWhite} !important`,
          color: `${colors.primaryGreen} !important`,
          top: '8px !important',
          right: '7px !important',
          fontSize: 10,
        }
      }
    },
    '& .item': {
      '& .content': {
        display: 'flex',
        padding: 20,
        color: colors.primaryBlack1,
        position: 'relative',
        '& .task-status': {
          position: 'absolute',
          right: 20,
          top: 20,
          zIndex: 10,
        },
        '& .date-add': {
          width: 240,
          minWidth: 240,
          paddingLeft: 30,
          color: colors.primaryGray8,
          display: 'flex',
          flexDirection: 'column',
          '& .due_date': {
            color: colors.primaryBlack,
            fontWeight: 'bold',
            marginBottom: 5,
            '&.overdue': {
              color: colors.primaryRed,
            }
          },
        },
        '& .task-content': {
          paddingRight: 95,
          position: 'relative',
          flexGrow: 1,
          '& .author': {
            marginTop: 20,
          },
          '& .category': {
            marginTop: 7,
            color: colors.primaryGray8,
          },
          '& .item-action': {
            position: 'absolute',
            bottom: 0,
            right: 0,
            width: 90,
            minWidth: 90,
            display: 'none',
            justifyContent: 'space-between',
            color: colors.primaryBlue,
          },
        },
        '&:hover': {
          '& .task-content': {
            '& .item-action': {
              display: 'flex',
              fontWeight: 300,
              cursor: 'pointer',
            }
          }
        },
      }
    },
    '& .ui.pagination.menu': {
      marginLeft: '50%',
      transform: 'translateX(-50%)',
      maxWidth: '100%',
    },
  }
};

export default stylesheet;