import {
  GET_CONTACTS,
  GET_CONTACTS_SUCCESS,
  GET_CONTACTS_FAILED,
  GET_CONTACT_BY_ID,
  GET_CONTACT_BY_ID_SUCCESS,
  GET_CONTACT_BY_ID_FAILED,
  GET_PAYMENT_BY_CONTACT,
  GET_PAYMENT_BY_CONTACT_SUCCESS,
  GET_PAYMENT_BY_CONTACT_FAILED,
  GET_PAYMENT_MEMBERSHIPS_BY_CONTACT,
  GET_PAYMENT_MEMBERSHIPS_BY_CONTACT_SUCCESS,
  GET_PAYMENT_MEMBERSHIPS_BY_CONTACT_FAILED,
  GET_PAYMENT_DONATION_BY_CONTACT,
  GET_PAYMENT_DONATION_BY_CONTACT_SUCCESS,
  GET_PAYMENT_DONATION_BY_CONTACT_FAILED,
  CLEAR_SELECTED_CONTACT,
  SAVE_CONTACT,
  GET_VOLUNTEER_CONTACTS,
  GET_VOLUNTEER_CONTACTS_SUCCESS,
  GET_VOLUNTEER_CONTACTS_FAILED,
  SAVE_CONTACT_FAILED,
  SEARCH_VOLUNTEER_ON_MAP,
  SEARCH_VOLUNTEER_ON_MAP_SUCCESS,
  GET_CONTACT_FILTER_SEGMENT, GET_CONTACT_FILTER_SEGMENT_SUCCESS, GET_CONTACT_FILTER_SEGMENT_FAILED,
  SET_DONATION_TAB_INDEX,
  UPLOAD_CONTACT_LIST, UPLOAD_CONTACT_LIST_SUCCESS, UPLOAD_CONTACT_LIST_FAILED, RESET_UPLOAD_CONTACT_LIST
} from "../Actions/ContactActionCreator";

import ReduxStatus from '../../Common/Constants/ReduxStatus';
import {
  GET_CONTACT_NOTES, GET_CONTACT_NOTES_FAILED,
  GET_CONTACT_NOTES_SUCCESS
} from "../Actions/ContactNoteActionCreator";
import {
  GET_CONTACT_SCHEDULE,
  GET_CONTACT_SCHEDULE_FAILED,
  GET_CONTACT_SCHEDULE_SUCCESS
} from "../Actions/ContactScheduleActionCreator";
import {
  GET_CONTACT_ACTIVITIES,
  GET_CONTACT_ACTIVITIES_SUCCESS,
  GET_CONTACT_ACTIVITIES_FAILED
} from "../Actions/ContactActivitiesActionCreator";
import {
  GET_CONTACT_TASKS,
  GET_CONTACT_TASKS_FAILED,
  GET_CONTACT_TASKS_SUCCESS
} from "../Actions/ContactTaskActionCreator";
import {
  GET_CONTACT_ONCE_OFF_DONATION_ORDERS, GET_CONTACT_ONCE_OFF_DONATION_ORDERS_SUCCESS, GET_CONTACT_ONCE_OFF_DONATION_ORDERS_FAILURE,
  GET_CONTACT_RECURRING_DONATION_ORDERS, GET_CONTACT_RECURRING_DONATION_ORDERS_SUCCESS, GET_CONTACT_RECURRING_DONATION_ORDERS_FAILURE,
  GET_CONTACT_MEMBERSHIP_ORDERS, GET_CONTACT_MEMBERSHIP_ORDERS_SUCCESS, GET_CONTACT_MEMBERSHIP_ORDERS_FAILURE,
  GET_CONTACT_MEMBERSHIPS, GET_CONTACT_MEMBERSHIPS_SUCCESS, GET_CONTACT_MEMBERSHIPS_FAILURE,
  GET_CONTACT_DONATION_SUMMARY, GET_CONTACT_DONATION_SUMMARY_SUCCESS, GET_CONTACT_DONATION_SUMMARY_FAILURE,
  GET_CONTACT_MEMBERSHIP_PAYMENTS, GET_CONTACT_MEMBERSHIP_PAYMENTS_SUCCESS, GET_CONTACT_MEMBERSHIP_PAYMENTS_FAILURE,
  GET_CONTACT_DONATION_PAYMENTS, GET_CONTACT_DONATION_PAYMENTS_SUCCESS, GET_CONTACT_DONATION_PAYMENTS_FAILURE,
} from "../Actions/ContactOrderActionCreator";

const initialState = {
  contactList: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    totalRecord: 0,
    data: [],
    message: "",
    filter: {},
  },
  contactVolunteerList: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    totalRecord: 0,
    data: [],
    message: "",
    filter: {},
  },
  contactFilterSegmentList: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    totalRecord: 0,
    data: [],
    message: "",
    filter: {},
  },
  selectedContactDetail: {
    status: ReduxStatus.empty,
    message: "",
    selectedContact: {},
  },
  contactPayments: {
    status: ReduxStatus.empty,
    message: "",
    activePage: 1,
    totalPage: 1,
    data: [],
  },
  contactPaymentsMemberships: {
    status: ReduxStatus.empty,
    message: "",
    activePage: 1,
    totalPage: 1,
    data: [],
  },
  contactPaymentsDonation: {
    status: ReduxStatus.empty,
    message: "",
    activePage: 1,
    totalPage: 1,
    data: [],
  },
  contactNotes: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    data: [],
    message: "",
    filter: {},
  },
  contactTasks: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    data: [],
    message: "",
    filter: {},
  },
  contactActivities: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    data: [],
    message: "",
    filter: {},
  },
  contactSchedule: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    data: [],
    message: "",
    filter: {},
  },
  volunteerOnMapList: {
    status: ReduxStatus.empty,
    data: [],
    message: "",
    filter: {},
  },
  contactMembershipOrders: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    data: [],
    message: "",
    filter: {},
  },
  contactOnceOffDonationOrders: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    data: [],
    message: "",
    filter: {},
  },
  contactRecurringDonationOrders: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    data: [],
    message: "",
    filter: {},
  },
  donationSummaryDetail: {
    status: ReduxStatus.empty,
    message: "",
    donationSummary: {},
  },
  contactMembershipPayments: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    data: [],
    message: "",
    filter: {},
  },
  contactDonationPayments: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    data: [],
    message: "",
    filter: {},
  },
  donationTabIndex: 'summary',
  uploadContactList: {
    status: ReduxStatus.empty,
    message: ""
  }
};

const actionsMap = {
  // Async action
  [GET_CONTACTS]: (state, payload) => {
    return {
      ...state,
      contactList: {
        ...state.contactList,
        status: ReduxStatus.loading,
        message: payload.message
      },
      type: payload.type
    };
  },
  [GET_CONTACTS_SUCCESS]: (state, { activePage, totalPage, totalRecord, data, filter }) => {
    return {
      ...state,
      contactList: {
        ...state.contactList,
        activePage,
        totalPage,
        totalRecord,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACTS_FAILED]: (state, payload) => {
    return {
      ...state,
      contactList: {
        ...state.contactList,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_VOLUNTEER_CONTACTS]: state => {
    return {
      ...state,
      contactVolunteerList: {
        ...state.contactVolunteerList,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_VOLUNTEER_CONTACTS_SUCCESS]: (state, { activePage, totalPage, totalRecord, data, filter }) => {
    return {
      ...state,
      contactVolunteerList: {
        ...state.contactVolunteerList,
        activePage,
        totalPage,
        totalRecord,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_VOLUNTEER_CONTACTS_FAILED]: (state, payload) => {
    return {
      ...state,
      contactVolunteerList: {
        ...state.contactVolunteerList,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_FILTER_SEGMENT]: state => {
    return {
      ...state,
      contactFilterSegmentList: {
        ...state.contactFilterSegmentList,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_FILTER_SEGMENT_SUCCESS]: (state, { activePage, totalPage, totalRecord, data, filter }) => {
    return {
      ...state,
      contactFilterSegmentList: {
        ...state.contactFilterSegmentList,
        activePage,
        totalPage,
        totalRecord,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_FILTER_SEGMENT_FAILED]: (state, payload) => {
    return {
      ...state,
      contactFilterSegmentList: {
        ...state.contactFilterSegmentList,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_BY_ID]: (state, payload) => {
    return {
      ...state,
      selectedContactDetail: {
        selectedContact: {},
        status: payload.hideLoading ? ReduxStatus.loaded : ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_BY_ID_SUCCESS]: (state, payload) => {
    return {
      ...state,
      selectedContactDetail: {
        selectedContact: payload,
        status: ReduxStatus.loaded,
        message: "",
      }
    };
  },
  [GET_CONTACT_BY_ID_FAILED]: (state, payload) => {
    return {
      ...state,
      selectedContactDetail: {
        ...state.selectedContactDetail,
        selectedContact: {},
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },
  [CLEAR_SELECTED_CONTACT]: (state) => {
    return {
      ...state,
      selectedContactDetail: {
        selectedContact: {},
        status: ReduxStatus.loading,
        message: "",
      },
      contactNotes: {
        status: ReduxStatus.empty,
        activePage: 1,
        totalPage: 1,
        data: [],
        message: "",
        filter: {},
      },
      contactTasks: {
        status: ReduxStatus.empty,
        activePage: 1,
        totalPage: 1,
        data: [],
        message: "",
        filter: {},
      },
      contactSchedule: {
        status: ReduxStatus.empty,
        activePage: 1,
        totalPage: 1,
        data: [],
        message: "",
        filter: {},
      },
    };
  },
  [SAVE_CONTACT]: (state) => {
    return {
      ...state,
      selectedContactDetail: {
        ...state.selectedContactDetail,
        status: ReduxStatus.saving,
      }
    };
  },
  [SAVE_CONTACT_FAILED]: (state) => {
    return {
      ...state,
      selectedContactDetail: {
        ...state.selectedContactDetail,
        status: ReduxStatus.saveFailed,
      }
    };
  },
  [GET_PAYMENT_BY_CONTACT]: state => {
    return {
      ...state,
      contactPayments: {
        ...state.contactPayments,
        message: "",
        status: ReduxStatus.loading,
      }
    };
  },
  [GET_PAYMENT_BY_CONTACT_SUCCESS]: (state, { activePage, totalPage, data }) => {
    return {
      ...state,
      contactPayments: {
        ...state.contactPayments,
        message: "",
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
      }
    };
  },
  [GET_PAYMENT_BY_CONTACT_FAILED]: (state, payload) => {
    return {
      ...state,
      selectedContactDetail: {
        ...state.selectedContactDetail,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },
  [GET_PAYMENT_MEMBERSHIPS_BY_CONTACT]: state => {
    return {
      ...state,
      contactPaymentsMemberships: {
        ...state.contactPaymentsMemberships,
        message: "",
        status: ReduxStatus.loading,
      }
    };
  },
  [GET_PAYMENT_MEMBERSHIPS_BY_CONTACT_SUCCESS]: (state, { activePage, totalPage, data }) => {
    return {
      ...state,
      contactPaymentsMemberships: {
        ...state.contactPaymentsMemberships,
        message: "",
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
      }
    };
  },
  [GET_PAYMENT_MEMBERSHIPS_BY_CONTACT_FAILED]: (state, payload) => {
    return {
      ...state,
      contactPaymentsMemberships: {
        ...state.contactPaymentsMemberships,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_PAYMENT_DONATION_BY_CONTACT]: state => {
    return {
      ...state,
      contactPaymentsDonation: {
        ...state.contactPaymentsDonation,
        message: "",
        status: ReduxStatus.loading,
      }
    };
  },
  [GET_PAYMENT_DONATION_BY_CONTACT_SUCCESS]: (state, { activePage, totalPage, data }) => {
    return {
      ...state,
      contactPaymentsDonation: {
        ...state.contactPaymentsDonation,
        message: "",
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
      }
    };
  },
  [GET_PAYMENT_DONATION_BY_CONTACT_FAILED]: (state, payload) => {
    return {
      ...state,
      contactPaymentsDonation: {
        ...state.contactPaymentsDonation,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_NOTES]: state => {
    return {
      ...state,
      contactNotes: {
        ...state.contactNotes,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_NOTES_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactNotes: {
        ...state.contactNotes,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_NOTES_FAILED]: (state, payload) => {
    return {
      ...state,
      contactNotes: {
        ...state.contactNotes,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_TASKS]: state => {
    return {
      ...state,
      contactTasks: {
        ...state.contactTasks,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_TASKS_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactTasks: {
        ...state.contactTasks,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_TASKS_FAILED]: (state, payload) => {
    return {
      ...state,
      contactTasks: {
        ...state.contactTasks,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_SCHEDULE]: state => {
    return {
      ...state,
      contactSchedule: {
        ...state.contactSchedule,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_SCHEDULE_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactSchedule: {
        ...state.contactSchedule,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_SCHEDULE_FAILED]: (state, payload) => {
    return {
      ...state,
      contactSchedule: {
        ...state.contactSchedule,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [SEARCH_VOLUNTEER_ON_MAP]: state => {
    return {
      ...state,
      volunteerOnMapList: {
        ...state.volunteerOnMapList,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [SEARCH_VOLUNTEER_ON_MAP_SUCCESS]: (state, { data, filter }) => {
    return {
      ...state,
      volunteerOnMapList: {
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },

  [GET_CONTACT_ACTIVITIES]: state => {
    return {
      ...state,
      contactActivities: {
        ...state.contactActivities,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_ACTIVITIES_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactActivities: {
        ...state.contactActivities,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_ACTIVITIES_FAILED]: (state, payload) => {
    return {
      ...state,
      contactActivities: {
        ...state.contactActivities,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_ONCE_OFF_DONATION_ORDERS]: state => {
    return {
      ...state,
      contactOnceOffDonationOrders: {
        ...state.contactOnceOffDonationOrders,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_ONCE_OFF_DONATION_ORDERS_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactOnceOffDonationOrders: {
        ...state.contactOnceOffDonationOrders,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_ONCE_OFF_DONATION_ORDERS_FAILURE]: (state, payload) => {
    return {
      ...state,
      contactOnceOffDonationOrders: {
        ...state.contactOnceOffDonationOrders,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_RECURRING_DONATION_ORDERS]: state => {
    return {
      ...state,
      contactRecurringDonationOrders: {
        ...state.contactRecurringDonationOrders,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_RECURRING_DONATION_ORDERS_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactRecurringDonationOrders: {
        ...state.contactRecurringDonationOrders,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_RECURRING_DONATION_ORDERS_FAILURE]: (state, payload) => {
    return {
      ...state,
      contactRecurringDonationOrders: {
        ...state.contactRecurringDonationOrders,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_MEMBERSHIP_ORDERS]: state => {
    return {
      ...state,
      contactMembershipOrders: {
        ...state.contactMembershipOrders,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_MEMBERSHIP_ORDERS_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactMembershipOrders: {
        ...state.contactMembershipOrders,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_MEMBERSHIP_ORDERS_FAILURE]: (state, payload) => {
    return {
      ...state,
      contactMembershipOrders: {
        ...state.contactMembershipOrders,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_MEMBERSHIPS]: state => {
    return {
      ...state,
      contactMemberships: {
        ...state.contactMemberships,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_MEMBERSHIPS_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactMemberships: {
        ...state.contactMemberships,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_MEMBERSHIPS_FAILURE]: (state, payload) => {
    return {
      ...state,
      contactMemberships: {
        ...state.contactMemberships,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_DONATION_SUMMARY]: (state) => {
    return {
      ...state,
      donationSummaryDetail: {
        donationSummary: {},
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_DONATION_SUMMARY_SUCCESS]: (state, payload) => {
    return {
      ...state,
      donationSummaryDetail: {
        donationSummary: payload,
        status: ReduxStatus.loaded,
        message: "",
      }
    };
  },
  [GET_CONTACT_DONATION_SUMMARY_FAILURE]: (state, payload) => {
    return {
      ...state,
      donationSummaryDetail: {
        ...state.donationSummaryDetail,
        donationSummary: {},
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_MEMBERSHIP_PAYMENTS]: state => {
    return {
      ...state,
      contactMembershipPayments: {
        ...state.contactMembershipPayments,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_MEMBERSHIP_PAYMENTS_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactMembershipPayments: {
        ...state.contactMembershipPayments,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_MEMBERSHIP_PAYMENTS_FAILURE]: (state, payload) => {
    return {
      ...state,
      contactMembershipPayments: {
        ...state.contactMembershipPayments,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },

  [GET_CONTACT_DONATION_PAYMENTS]: state => {
    return {
      ...state,
      contactDonationPayments: {
        ...state.contactDonationPayments,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CONTACT_DONATION_PAYMENTS_SUCCESS]: (state, { activePage, totalPage, data, filter }) => {
    return {
      ...state,
      contactDonationPayments: {
        ...state.contactDonationPayments,
        activePage,
        totalPage,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CONTACT_DONATION_PAYMENTS_FAILURE]: (state, payload) => {
    return {
      ...state,
      contactDonationPayments: {
        ...state.contactDonationPayments,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },
  [SET_DONATION_TAB_INDEX]: (state, payload) => {
    return {
      ...state,
      donationTabIndex: payload.index
    }
  },

  [UPLOAD_CONTACT_LIST]: (state) => {
    return {
      ...state,
      uploadContactList:{
        ...state.uploadContactList,
        status: ReduxStatus.loading
      }
    }
  },
  [UPLOAD_CONTACT_LIST_SUCCESS]: (state, payload) => {
    return {
      ...state,
      uploadContactList:{
        ...state.uploadContactList,
        filename: payload.filename,
        status: ReduxStatus.loaded
      }
    }
  },
  [UPLOAD_CONTACT_LIST_FAILED]: (state) => {
    return {
      ...state,
      uploadContactList:{
        ...state.uploadContactList,
        status: ReduxStatus.loadFailed
      }
    }
  },
  [RESET_UPLOAD_CONTACT_LIST]: (state) => {
    return {
      ...state,
      uploadContactList:{
        status: ReduxStatus.empty,
        message: ""
      }
    }
  },

};

export default function reducer(state = initialState, action = {}) {
  const fn = actionsMap[action.type];
  return fn ? fn(state, action.payload) : state;
}
