import ReduxStatus from "../../Common/Constants/ReduxStatus";
import {
  GET_CRITERIA_LIST,
  GET_CRITERIA_LIST_SUCCESS,
  GET_CRITERIA_LIST_FAILED
} from "../Actions/CriteriaActionCreator";


const initialState = {
  criteriaList: {
    status: ReduxStatus.empty,
    activePage: 1,
    totalPage: 1,
    totalRecord: 0,
    data: [],
    message: "",
    filter: {},
  },
}
const actionsMap = {
  [GET_CRITERIA_LIST]: state => {
    return {
      ...state,
      criteriaList: {
        ...state.criteriaList,
        status: ReduxStatus.loading,
        message: "",
      }
    };
  },
  [GET_CRITERIA_LIST_SUCCESS]: (state, { activePage, totalPage, totalRecord, data, filter }) => {
    return {
      ...state,
      criteriaList: {
        ...state.criteriaList,
        activePage,
        totalPage,
        totalRecord,
        data,
        status: ReduxStatus.loaded,
        message: "",
        filter,
      }
    };
  },
  [GET_CRITERIA_LIST_FAILED]: (state, payload) => {
    return {
      ...state,
      criteriaList: {
        ...state.criteriaList,
        status: ReduxStatus.loadFailed,
        message: payload.message,
      }
    };
  },
}

export default function reducer(state = initialState, action = {}) {
  const fn = actionsMap[action.type];
  return fn ? fn(state, action.payload) : state;
}
