export const GET_DASHBOARD_TASKS = 'GET_DASHBOARD_TASKS'
export const GET_DASHBOARD_TASKS_SUCCESS = 'GET_DASHBOARD_TASKS_SUCCESS'
export const GET_DASHBOARD_TASKS_FAILURE = 'GET_DASHBOARD_TASKS_FAILURE'

export const SAVE_DASHBOARD_TASK = 'SAVE_DASHBOARD_TASK'
export const SAVE_DASHBOARD_TASKS_SUCCESS = 'SAVE_DASHBOARD_TASKS_SUCCESS'
export const SAVE_DASHBOARD_TASKS_FAILURE = 'SAVE_DASHBOARD_TASKS_FAILURE'

export const GET_DASHBOARD_PAYMENTS = 'GET_DASHBOARD_PAYMENTS'
export const GET_DASHBOARD_PAYMENTS_SUCCESS = 'GET_DASHBOARD_PAYMENTS_SUCCESS'
export const GET_DASHBOARD_PAYMENTS_FAILURE = 'GET_DASHBOARD_PAYMENTS_FAILURE'

export const DELETE_PAYMENT = 'DELETE_PAYMENT'

export const DELETE_DASHBOARD_TASK = 'DELETE_DASHBOARD_TASK'

export const GET_ACCUMULATED_DONATIONS = 'GET_ACCUMULATED_DONATIONS'
export const GET_ACCUMULATED_DONATIONS_SUCCESS = 'GET_ACCUMULATED_DONATIONS_SUCCESS'
export const GET_ACCUMULATED_DONATIONS_FAILURE = 'GET_ACCUMULATED_DONATIONS_FAILURE'

export default {
  getTasks: (activePage = 1, filter = {}, opts = {}) => ({
    type: GET_DASHBOARD_TASKS,
    payload: {
      activePage,
      filter,
      opts
    }
  }),

  saveTask: (task) => ({
    type: SAVE_DASHBOARD_TASK,
    payload: {
      task,
    }
  }),

  deleteTask: (id) => ({
    type: DELETE_DASHBOARD_TASK,
    payload: {
      id,
    }
  }),

  getPayments: (activePage = 1, filter = {}, opts = {}) => ({
    type: GET_DASHBOARD_PAYMENTS,
    payload: {
      activePage,
      filter,
      opts
    }
  }),

  deletePayment: (id) => ({
    type: DELETE_PAYMENT,
    payload: {
      id,
    }
  }),

  getAccumulatedDonations: (activePage = 1) => ({
    type: GET_ACCUMULATED_DONATIONS,
    payload: {
      activePage,
    }
  }),

}
