export const GET_UPCOMING_EVENTS = "GET_UPCOMING_EVENTS";
export const GET_UPCOMING_EVENTS_SUCCESS = "GET_UPCOMING_EVENTS_SUCCESS";
export const GET_UPCOMING_EVENTS_FAILED = "GET_UPCOMING_EVENTS_FAILED";

export const GET_PAST_EVENTS = 'GET_PAST_EVENTS';
export const GET_PAST_EVENTS_SUCCESS = "GET_PAST_EVENTS_SUCCESS";
export const GET_PAST_EVENTS_FAILED = "GET_PAST_EVENTS_FAILED";

export const SEARCH_EVENT = 'SEARCH_EVENT';

export const GET_EVENT_BY_ID = 'GET_EVENT_BY_ID';
export const GET_EVENT_BY_ID_SUCCESS = 'GET_EVENT_BY_ID_SUCCESS';
export const GET_EVENT_BY_ID_FAILED = 'GET_EVENT_BY_ID_FAILED';

export const CLEAR_SELECTED_EVENT = 'CLEAR_SELECTED_EVENT';

export const CREATE_EVENT = "CREATE_EVENT";

export const SAVE_EVENT = "SAVE_EVENT";
export const SAVE_EVENT_FAILED = "SAVE_EVENT_FAILED";

export const DELETE_EVENT = 'DELETE_EVENT';

export const GET_EVENT_VOLUNTEERS = 'GET_EVENT_VOLUNTEERS';
export const GET_EVENT_VOLUNTEERS_SUCCESS = 'GET_EVENT_VOLUNTEERS_SUCCESS';
export const GET_EVENT_VOLUNTEERS_FAILED = 'GET_EVENT_VOLUNTEERS_FAILED';

export const SEARCH_VOLUNTEER_IN_EVENT = 'SEARCH_VOLUNTEER_IN_EVENT';

export const ADD_VOLUNTEER_TO_EVENT = 'ADD_VOLUNTEER_TO_EVENT';
export const REMOVE_VOLUNTEER_FROM_EVENT = 'REMOVE_VOLUNTEER_FROM_EVENT';

export default {
  getUpcomingEvents: (activePage = 1, filter = {}) => ({
    type: GET_UPCOMING_EVENTS,
    payload: {
      activePage,
      filter,
      opts: {},
    }
  }),
  getPastEvents: (activePage = 1, filter = {}) => ({
    type: GET_PAST_EVENTS,
    payload: {
      activePage,
      filter,
      opts: {
        successAction: GET_PAST_EVENTS_SUCCESS,
        failureAction: GET_PAST_EVENTS_FAILED,
      }
    }
  }),
  searchEvent: (searchText, handleSearchResult) => ({
    type: SEARCH_EVENT,
    payload: {
      searchText,
      handleSearchResult,
    }
  }),

  getEventById: (id) => ({
    type: GET_EVENT_BY_ID,
    payload: {
      id,
    }
  }),
  clearSelectedEvent: (id) => ({
    type: CLEAR_SELECTED_EVENT,
  }),
  createEvent: (event, isPastEvent = false) => ({
    type: CREATE_EVENT,
    payload: {
      event,
      isPastEvent,
    }
  }),
  saveEvent: (event, isPastEvent = false) => ({
    type: SAVE_EVENT,
    payload: {
      event,
      isPastEvent,
    }
  }),
  deleteEvent: (id, isPastEvent = false) => ({
    type: DELETE_EVENT,
    payload: {
      id,
      isPastEvent,
    }
  }),

  getEventVolunteers: (eventId, activePage = 1, filter = {}) => ({
    type: GET_EVENT_VOLUNTEERS,
    payload: {
      eventId,
      activePage,
      filter,
    }
  }),

  searchVolunteerInEvent: (eventId, searchText, handleSearchResult) => ({
    type: SEARCH_VOLUNTEER_IN_EVENT,
    payload: {
      eventId,
      searchText,
      handleSearchResult,
    }
  }),

  addVolunteerToEvent: (eventId, volunteerIds) => ({
    type: ADD_VOLUNTEER_TO_EVENT,
    payload: {
      eventId,
      volunteerIds,
    }
  }),

  removeVolunteerFromEvent: (eventId, volunteerId) => ({
    type: REMOVE_VOLUNTEER_FROM_EVENT,
    payload: {
      eventId,
      volunteerId,
    }
  }),
};
