export const GET_INVENTORIES = "GET_INVENTORIES";
export const GET_INVENTORIES_SUCCESS = "GET_INVENTORIES_SUCCESS";
export const GET_INVENTORIES_FAILED = "GET_INVENTORIES_FAILED";

export const CREATE_INVENTORY = "CREATE_INVENTORY";

export const SAVE_INVENTORY = "SAVE_INVENTORY";
export const SAVE_INVENTORY_FAILED = "SAVE_INVENTORY_FAILED";

export const DELETE_INVENTORY = 'DELETE_INVENTORY';

export const UPDATE_INVENTORY_LOCATION_QUANTITY = 'UPDATE_INVENTORY_LOCATION_QUANTITY';

export default {
  getInventories: (eventId, activePage = 1, filter = {}) => ({
    type: GET_INVENTORIES,
    payload: {
      eventId,
      activePage,
      filter,
    }
  }),
  createInventory: (eventId, inventory) => ({
    type: CREATE_INVENTORY,
    payload: {
      eventId,
      inventory,
    }
  }),
  saveInventory: (eventId, inventory) => ({
    type: SAVE_INVENTORY,
    payload: {
      eventId,
      inventory,
    }
  }),
  deleteInventory: (eventId, id) => ({
    type: DELETE_INVENTORY,
    payload: {
      eventId,
      id,
    }
  }),
  updateInventoryLocationQuantity: (eventId, inventoryId, locationId, quantity) => ({
    type: UPDATE_INVENTORY_LOCATION_QUANTITY,
    payload: {
      eventId,
      inventoryId,
      locationId,
      quantity,
    }
  })
};
