export const GET_LOCATIONS = "GET_LOCATIONS";
export const GET_LOCATIONS_SUCCESS = "GET_LOCATIONS_SUCCESS";
export const GET_LOCATIONS_FAILED = "GET_LOCATIONS_FAILED";

export const CREATE_LOCATION = "CREATE_LOCATION";

export const SAVE_LOCATION = "SAVE_LOCATION";

export const DELETE_LOCATION = 'DELETE_LOCATION';

export const GET_LOCATIONS_ON_MAP = "GET_LOCATIONS_ON_MAP";
export const GET_LOCATIONS_ON_MAP_SUCCESS = "GET_LOCATIONS_ON_MAP_SUCCESS";
export const GET_LOCATIONS_ON_MAP_FAILED = "GET_LOCATIONS_ON_MAP_FAILED";

export const CREATE_LOCATION_ON_MAP = "CREATE_LOCATION_ON_MAP";

export const SAVE_LOCATION_ON_MAP = "SAVE_LOCATION_ON_MAP";

export const DELETE_LOCATION_ON_MAP = 'DELETE_LOCATION_ON_MAP';

export const GET_LOCATION_VOLUNTEERS = 'GET_LOCATION_VOLUNTEERS';
export const GET_LOCATION_VOLUNTEERS_SUCCESS = 'GET_LOCATION_VOLUNTEERS_SUCCESS';
export const GET_LOCATION_VOLUNTEERS_FAILED = 'GET_LOCATION_VOLUNTEERS_FAILED';

export const ADD_VOLUNTEER_TO_LOCATION = 'ADD_VOLUNTEER_TO_LOCATION';
export const REMOVE_VOLUNTEER_TO_LOCATION = 'REMOVE_VOLUNTEER_TO_LOCATION';

export const CLEAR_LOCATION_VOLUNTEERS = 'CLEAR_LOCATION_VOLUNTEERS';

export const SAVE_LOCATION_VOLUNTEER = 'SAVE_LOCATION_VOLUNTEER';
export const SAVE_LOCATION_VOLUNTEER_FAILED = 'SAVE_LOCATION_VOLUNTEER_FAILED';

export const SEARCH_LOCATION = 'SEARCH_LOCATION';

export const CHANGE_LOCATION_FROM_VOLUNTEER = 'CHANGE_LOCATION_FROM_VOLUNTEER';

export default {
  getLocations: (eventId, activePage = 1, filter = {}, sort = {}) => ({
    type: GET_LOCATIONS,
    payload: {
      eventId,
      activePage,
      filter,
      sort,
    }
  }),
  createLocation: (eventId, location) => ({
    type: CREATE_LOCATION,
    payload: {
      eventId,
      location,
    }
  }),
  saveLocation: (eventId, location) => ({
    type: SAVE_LOCATION,
    payload: {
      eventId,
      location,
    }
  }),
  deleteLocation: (eventId, id) => ({
    type: DELETE_LOCATION,
    payload: {
      eventId,
      id,
    }
  }),

  getLocationsOnMap: (eventId, activePage = 1, filter = {}, sort = {}) => ({
    type: GET_LOCATIONS_ON_MAP,
    payload: {
      eventId,
      activePage,
      filter,
      sort,
    }
  }),
  createLocationOnMap: (eventId, location) => ({
    type: CREATE_LOCATION_ON_MAP,
    payload: {
      eventId,
      location,
    }
  }),
  saveLocationOnMap: (eventId, location) => ({
    type: SAVE_LOCATION_ON_MAP,
    payload: {
      eventId,
      location,
    }
  }),
  deleteLocationOnMap: (eventId, id) => ({
    type: DELETE_LOCATION_ON_MAP,
    payload: {
      eventId,
      id,
    }
  }),

  getLocationVolunteers: (locationId, activePage = 1, filter = {}) => ({
    type: GET_LOCATION_VOLUNTEERS,
    payload: {
      locationId,
      activePage,
      filter,
    }
  }),
  addVolunteerToLocation: (locationId, volunteerId) => ({
    type: ADD_VOLUNTEER_TO_LOCATION,
    payload: {
      locationId,
      volunteerId,
    }
  }),
  removeVolunteerToLocation: (locationId, volunteerId) => ({
    type: REMOVE_VOLUNTEER_TO_LOCATION,
    payload: {
      locationId,
      volunteerId,
    }
  }),
  resetLocationVolunteer: () => ({
    type: CLEAR_LOCATION_VOLUNTEERS,
  }),
  saveLocationVolunteer: (eventId, locationId, volunteerIds) => ({
    type: SAVE_LOCATION_VOLUNTEER,
    payload: {
      eventId,
      locationId,
      volunteerIds,
    }
  }),

  searchLocations: (eventId, searchText, voting_district, handleSearchResult) => ({
    type: SEARCH_LOCATION,
    payload: {
      eventId,
      searchText,
      voting_district,
      handleSearchResult,
    }
  }),
  changeLocationFromVolunteer: (eventId, oldLocationId, newLocationId, volunteerId) => ({
    type: CHANGE_LOCATION_FROM_VOLUNTEER,
    payload: {
      eventId,
      oldLocationId,
      newLocationId,
      volunteerId,
    }
  }),
};
