export const GET_LOCATION_SCHEDULE = "GET_LOCATION_SCHEDULE";
export const GET_LOCATION_SCHEDULE_SUCCESS = "GET_LOCATION_SCHEDULE_SUCCESS";
export const GET_LOCATION_SCHEDULE_FAILED = "GET_LOCATION_SCHEDULE_FAILED";

export const RESET_LOCATION_SCHEDULE = 'RESET_LOCATION_SCHEDULE';

export const CREATE_LOCATION_SCHEDULE = "CREATE_LOCATION_SCHEDULE";

export const SAVE_LOCATION_SCHEDULE = "SAVE_LOCATION_SCHEDULE";
export const SAVE_LOCATION_SCHEDULE_FAILED = "SAVE_LOCATION_SCHEDULE_FAILED";

export const DELETE_LOCATION_SCHEDULE = 'DELETE_LOCATION_SCHEDULE';

export default {
  resetLocationSchedule: () => ({
    type: RESET_LOCATION_SCHEDULE,
  }),
  getLocationSchedule: (locationId, activePage = 1, filter = {}) => ({
    type: GET_LOCATION_SCHEDULE,
    payload: {
      locationId,
      activePage,
      filter,
    }
  }),
  createLocationSchedule: (locationId, schedule) => ({
    type: CREATE_LOCATION_SCHEDULE,
    payload: {
      locationId,
      schedule,
    }
  }),
  saveLocationSchedule: (locationId, schedule) => ({
    type: SAVE_LOCATION_SCHEDULE,
    payload: {
      locationId,
      schedule,
    }
  }),
  deleteLocationSchedule: (locationId, id) => ({
    type: DELETE_LOCATION_SCHEDULE,
    payload: {
      locationId,
      id,
    }
  }),
};
