import style from '../../../../Contact/Components/ContactList/stylesheet';
import colors from "../../../../Common/Constants/color";

const stylesheet = {
  eventInventoryPage: {
    extend: style.contactPage,
    '& .ui.table': {
      color: colors.primaryGray5,
      '& .header-action': {
        textAlign: 'center',
        cursor: 'pointer',
      },
      '& .inventory-info-row': {
        backgroundColor: 'rgba(0,0,0,.05)',
      },
      '& .location-name': {
        fontWeight: 'bold',
      },
      '& .location-address': {
        whiteSpace: 'pre-line',
      },
      '& .recipient': {
        color: colors.primaryBlue,
      },
      '& .delivery-box': {
        border: `1px solid ${colors.primaryGray5}`,
        borderRadius: 4,
        padding: 7,
        width: 140,
        display: 'flex',
        justifyContent: 'space-between',
        cursor: 'pointer',
        '& .pending': {
          color: colors.primaryBlue,
        },
        '& .received': {
          color: colors.primaryGreen,
        },
        '& .not-received': {
          color: colors.primaryRed,
        },
      },
      '& .inventory-quantity': {
        display: 'flex',
        justifyContent: 'space-around',
        '& i': {
          cursor: 'pointer',
        },
        '& .quantity-value': {
          color: colors.primaryBlue,
        }
      }
    }
  },
  inventoryHeaderActions: {
    paddingRight: 30,
    textAlign: 'left',
    '& .action': {
      margin: 10,
      cursor: 'pointer',
    }
  },
  profileImage: {
    extend: style.profileImage,
  },
};

export default stylesheet;