import React from 'react';
import PropTypes from 'prop-types';
import { Tab } from "semantic-ui-react";
import AppContext from "../../../../../Common/Constants/AppContext";
import LocationDetail from "./LocationDetail/LocationDetail";
import LocationNotes from "./LocationNotes/LocationNotes";

class AssignVolunteer extends React.Component {
  getPanels = () => {
    const { classes, selectedLocation, locationVolunteers, locationNotes, selectedEvent } = this.props;
    return [
      {
        menuItem: 'DETAILS', render: () => (
          <LocationDetail
            selectedEvent={selectedEvent}
            selectedLocation={selectedLocation}
            locationVolunteers={locationVolunteers}
            classes={classes}
          />
        )
      },
      {
        menuItem: 'NOTES', render: () => (
          <LocationNotes
            locationNotes={locationNotes}
            selectedLocation={selectedLocation}
          />
        )
      },
    ]
  }

  render() {
    const { selectedLocation } = this.props;

    const style = selectedLocation._id ? {
      width: '360px',
      minWidth: '360px',
    } : {
      display: 'none',
    }

    return (
      <div className="assign-volunteer-container" style={style}>
        <Tab menu={{ pointing: true }} panes={this.getPanels()} />
      </div>
    );
  }
}

AssignVolunteer.propTypes = {
  selectedEvent: PropTypes.shape({}).isRequired,
  selectedLocation: PropTypes.shape({}).isRequired,
  handleSelectLocation: PropTypes.func.isRequired,
}

AssignVolunteer.contextType = AppContext;

export default AssignVolunteer;