import React from 'react';
import { Form } from "semantic-ui-react";
import SearchAndAssignVolunteer from "./SearchAndAssignVolunteer";
import AppContext from "../../../../../../../Common/Constants/AppContext";
import LocationActionCreator from "../../../../../../Actions/LocationActionCreator";
import NotificationModal from "../../../../../../../Common/Components/Modal/NotificationModal";

class LocationSearchVolunteer extends React.Component {
  constructor() {
    super();
    this.state = {
      notification: false,
      notificationText: '',
    }
    this.handleSelectVolunteer = this.handleSelectVolunteer.bind(this);
  }

  handleSelectVolunteer(currentAddVolunteer) {
    const { selectedLocation, selectedEvent } = this.props;
    if (currentAddVolunteer) {
      const { dispatch } = this.context;
      const existEvent = currentAddVolunteer.events
        .find(item => item.event === selectedEvent._id);
      if (existEvent) {
        if (existEvent.location !== selectedLocation._id) {
          if(existEvent.location) {
            // this volunteer is already assigned to another location
            this.setState({
              notification: true,
              notificationText: 'This volunteer was already assigned to another location'
            })
          } else {
            dispatch(LocationActionCreator
              .addVolunteerToLocation(selectedLocation._id, currentAddVolunteer._id)
            );
            this.searchVolunteerRef.setState({
              value: ' ',
              selectedVolunteer: {},
              options: [],
            });
          }
        } else {
          // this volunteer is already assigned to this location
          this.setState({
            notification: true,
            notificationText: 'This volunteer was already assigned to this location'
          })
        }
      } else {
        dispatch(LocationActionCreator
          .addVolunteerToLocation(selectedLocation._id, currentAddVolunteer._id)
        )
        this.searchVolunteerRef.setState({
          value: ' ',
          selectedVolunteer: {},
          options: [],
        });
      }
    }
  }

  render() {
    return (
      <div className='location-volunteer-search-filter'>
        <NotificationModal
          isOpen={this.state.notification}
          onClose={() => this.setState({notification: false})}
          textContent={this.state.notificationText}
        />
        <Form>
          <Form.Field>
            <SearchAndAssignVolunteer
              onSelect={this.handleSelectVolunteer}
              ref={(ref) => this.searchVolunteerRef = ref}
            />
          </Form.Field>
        </Form>
      </div>
    );
  }
}

LocationSearchVolunteer.contextType = AppContext;

export default LocationSearchVolunteer;