import React from 'react';
import PropTypes from 'prop-types';
import MarkerAndInfo from "./MarkerAndInfo";

class LocationMarkerAndInfo extends React.Component {
  render() {
    const { handleSelectLocation, selectedLocation, locationList } = this.props;
    const markers = locationList.data.map(item => ({
      name: item.name,
      position: {
        lat: item.address.location.coordinates[1],
        lng: item.address.location.coordinates[0],
      },
      key: item._id,
      id: item._id,
      defaultAnimation: 2,
      icon: require(`../../../../../../Assets/marker_${item.status}.png`),
      currentLocation: item,
    }));
    return [
      markers && markers.map(marker => (
        <MarkerAndInfo
          key={marker.id}
          handleSelect={() => handleSelectLocation(marker.currentLocation)}
          selectedLocation={selectedLocation}
          {...marker}
        />
      )),
    ]
  }
}

LocationMarkerAndInfo.propType = {
  locationList: PropTypes.shape({}),
  selectedLocation: PropTypes.shape({}),
  handleSelectLocation: PropTypes.func,
}

export default LocationMarkerAndInfo;