import React from 'react';
import PropTypes from 'prop-types';
import InfoBox from "./InfoBox";
import Marker from '../../../../../../Common/Components/Map/Maker';

class MarkerAndInfo extends React.Component {
  constructor() {
    super();
    this.state = {
      isShowInfo: false,
    }
    this.handleSelectMarker = this.handleSelectMarker.bind(this);
  }

  handleSelectMarker() {
    const { handleSelect, currentLocation } = this.props;
    if (handleSelect) {
      handleSelect(currentLocation)
    }
  }

  render() {
    const { id, icon, selectedLocation } = this.props;
    let currentIcon = icon;
    if(selectedLocation._id === id) {
      currentIcon = require(`../../../../../../Assets/marker_selected.png`)
    }
    return [
      <Marker
        {...this.props}
        key={id}
        icon={currentIcon}
        onClick={this.handleSelectMarker}
        onMouseOver={() => this.setState({ isShowInfo: true })}
        onMouseOut={() => this.setState({ isShowInfo: false })}
      />,
      (this.state.isShowInfo) && <InfoBox {...this.props} />
    ]
  }
}

MarkerAndInfo.propTypes = {
  selectedLocation: PropTypes.shape({}),
  handleSelect: PropTypes.func,
};

MarkerAndInfo.defaultProps = {
  selectedLocation: {},
  handleSelect: null,
}

export default MarkerAndInfo;