import React from 'react';
import PropTypes from 'prop-types';
import Marker from '../../../../../../Common/Components/Map/Maker';
import AppContext from "../../../../../../Common/Constants/AppContext";

class VolunteerAndInfo extends React.Component {
  constructor() {
    super();
    this.handleSelectMarker = this.handleSelectMarker.bind(this);
  }

  handleSelectMarker() {
    const { volunteer, handleSelectVolunteer } = this.props;
    handleSelectVolunteer(volunteer.id);
  }

  render() {
    const { volunteer, ...attr } = this.props;
    return (
      <Marker
        {...attr}
        {...volunteer}
        onClick={this.handleSelectMarker}
        options={{
          volunteer,
        }}
      />
    )
  }
}

VolunteerAndInfo.propTypes = {
  selectedLocation: PropTypes.shape({}).isRequired,
};

VolunteerAndInfo.contextType = AppContext;

export default VolunteerAndInfo;