import colors from "../../../../Common/Constants/color";

const stylesheet = {
  infoBox: {
    width: 180,
    display: 'flex',
    flexDirection: 'column',
    '& .header-status': {
      height: 5,
      minHeight: 5,
      backgroundColor: colors.primaryRed,
      '&.complete': {
        backgroundColor: colors.primaryGreen,
      },
      '&.in-progress': {
        backgroundColor: colors.primaryYellow,
      },
    },
    '& .info-content': {
      backgroundColor: colors.primaryBlack2,
      padding: [15, 10],
      color: colors.primaryWhite,
      textAlign: 'center',
      '& .location-name': {
        fontSize: '1rem',
        marginBottom: '0.5rem',
      }
    }
  },
  eventLocationPage: {
    flexGrow: 1,
    display: 'flex',
    height: 'calc(100% - 100px)',
    '& .event-location-list': {
      display: 'flex',
      flexDirection: 'column',
      width: 360,
      minWidth: 360,
      transition: 'width 0.2s, min-width 0.2s',
      position: 'relative',
      '& .toggle-show-hide-panel': {
        position: 'absolute',
        width: 100,
        height: 30,
        backgroundColor: colors.primaryBlue,
        borderRadius: 4,
        top: 100,
        right: -65,
        transform: 'rotate(-90deg)',
        color: colors.primaryWhite,
        zIndex: 1,
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center',
        padding: [0, 10, 0, 25],
        cursor: 'pointer',
      },
      '& .event-location-search-electorate': {
        padding: [15, 20],
        paddingBottom: 0,
        height: 55,
        minHeight: 55,
      },
      '& .event-location-search': {
        height: 60,
        minHeight: 60,
        width: '100%',
        padding: [15, 20],
        paddingTop: 5,
        display: 'flex',
        justifyContent: 'center',
        position: 'relative',
        '& .input': {
          width: 'calc(100% - 120px)',
          '& input': {
            borderTopRightRadius: 0,
            borderBottomRightRadius: 0,
          }
        },
        '& .filter-container': {
          display: 'flex',
          alignItems: 'center',
          justifyContent: 'space-around',
          width: 120,
          minWidth: 120,
          border: '1px solid rgba(34,36,38,.15)',
          borderTopRightRadius: 4,
          borderBottomRightRadius: 4,
          borderLeft: 0,
        }
      },
      '& .event-location-content': {
        flexGrow: 1,
        position: 'relative',
        borderRight: '1px solid rgba(34,36,38,.15)',
        overflow: 'auto',
        '& .item': {
          padding: '10px 20px !important',
          '& .header': {
            display: 'flex',
            margin: [5, 0],
            '& .name': {
              width: 'calc(100% - 90px)',
              paddingRight: 10,
            },
            '& .item-action': {
              width: 90,
              minWidth: 90,
              display: 'none',
              justifyContent: 'space-between',
              color: colors.primaryBlue,
            },
          },
          '& .description': {
            lineHeight: '1.4rem',
          },
          '& .second-description': {
            marginBottom: '1rem',
            whiteSpace: 'pre-line',
          },
          '& .last-description': {
            display: 'flex',
            justifyContent: 'space-between',
            '& .status': {
              color: colors.primaryWhite,
              backgroundColor: colors.primaryRed,
              textAlign: 'center',
              borderRadius: 4,
              fontSize: '0.8rem',
              textTransform: 'uppercase',
              padding: [3, 6],
              '&.complete': {
                backgroundColor: colors.primaryGreen,
              },
              '&.in-progress': {
                backgroundColor: colors.primaryYellow,
              }
            }
          },
          '&:hover': {
            backgroundColor: colors.primaryWhite2,
            '& .header': {
              '& .item-action': {
                display: 'flex',
                fontWeight: 300,
                cursor: 'pointer',
              }
            }
          },
          '&.select-location': {
            backgroundColor: 'rgba(0,0,0,.03)',
          }
        },
      },
      '& .event-location-action': {
        padding: 20,
        height: 76,
        minHeight: 76,
        '& i': {
          backgroundColor: 'transparent !important',
        }
      }
    },
    '& .map-container': {
      flexGrow: 1,
      padding: [15, 0],
    },
    '& .assign-volunteer-container': {
      color: colors.primaryGray,
      '& > div': {
        height: '100%',
        display: 'flex',
        flexDirection: 'column',
      },
      '& .ui.menu': {
        justifyContent: 'space-around',
        borderRadius: 0,
        border: 'none',
        borderBottom: '1px solid rgba(34,36,38,.15)',
        boxShadow: 'none',
        minHeight: 40,
        marginBottom: 0,
        '& .item': {
          width: '50%',
          backgroundColor: 'transparent',
          justifyContent: 'center',
          '&:before': {
            display: 'none',
          },
          '&.active': {
            color: colors.primaryBlue4,
            '&:after': {
              backgroundColor: colors.primaryWhite,
              borderTop: '1px solid #d4d4d5',
              borderLeft: '1px solid #d4d4d5',
              borderRight: 'none',
              borderBottom: 'none',
            }
          }
        }
      },
      '& .location-info': {
        textAlign: 'center',
        padding: [15, 20],
        minHeight: 'fit-content',
        '& .location-name': {
          fontWeight: 700,
        },
        '& .second-description': {
          marginBottom: '0.8rem',
        },
        '& .location-volunteer-search-filter': {
          width: '100%',
          padding: [15, 0],
          display: 'flex',
          justifyContent: 'center',
          position: 'relative',
          '& .ui.form': {
            width: '100%',
          }
        },
      },
      '& .volunteer-list': {
        flexGrow: 1,
        overflow: 'auto',
        position: 'relative',
        '& .volunteer-item': {
          position: 'relative',
          '& .volunteer-content': {
            display: 'flex',
            alignItems: 'center',
            padding: 10,
            paddingRight: 70,
            '& img': {
              width: 50,
              height: 50,
              objectFit: 'cover',
              marginRight: 15,
            },
            '& .volunteer-city': {
              color: colors.primaryBlack1,
              marginTop: 4,
              fontSize: '0.9rem',
            }
          },
          '& .item-action': {
            position: 'absolute',
            right: 20,
            top: 32,
            display: 'none',
            justifyContent: 'space-between',
            color: colors.primaryBlue,
          },
          '&:hover': {
            backgroundColor: 'rgba(0,0,0,.03)',
            cursor: 'pointer',
            '& .item-action': {
              display: 'flex',
              fontWeight: 300,
              cursor: 'pointer',
            }
          },
        }
      },
      '& .volunteer-count': {
        display: 'flex',
        justifyContent: 'center',
        padding: 15,
        height: 45,
        minHeight: 45,
        fontWeight: 'bold'
      }
    },
  },
  filterOptions: {
    width: 120,
    '& .checkbox': {
      margin: [15, 0],
    }
  }
};

export default stylesheet;