import style from '../../../../Contact/Components/ContactList/stylesheet';
import colors from "../../../../Common/Constants/color";

const stylesheet = {
  eventVolunteerPage: {
    extend: style.contactPage,
    '& .ui.table': {
      color: colors.primaryGray5,
      '& .change-location': {
        cursor: 'pointer',
        color: colors.semanticBlue,
        '& .location-address': {
          whiteSpace: 'pre-line',
        }
      },
      '& .set-location': {
        cursor: 'pointer',
        color: colors.semanticBlue,
      }
    },
    '& .sms-info-and-action': {
      display: 'flex',
      justifyContent: 'space-between',
    }
  },
  profileImage: {
    extend: style.profileImage,
  },
  volunteerSearch: {
    width: '100%',
    display: 'flex',
    justifyContent: 'flex-end',
    alignItems: 'center',
    '& .input': {
      marginLeft: 10,
      width: 'calc(100% - 110px)',
      maxWidth: 150,
    }
  },
  headerAction: {
    paddingRight: 30,
    textAlign: 'left',
    '& .action': {
      margin: 10,
      cursor: 'pointer',
      '&.disabled': {
        opacity: 0.5,
        cursor: 'not-allowed',
      }
    }
  }
};

export default stylesheet;