import colors from "../../Common/Constants/color";

const stylesheet = {
  eventCard: {
    '& .event-header': {
      height: 47,
      minHeight: 47,
    },
    '& .event-body': {
      flexGrow: 1,
      height: 184,
      maxHeight: 184,
    },
    '& .event-footer': {
      height: 79,
      minHeight: 79,
    },
    '& .event-action': {
      display: 'none',
      justifyContent: 'flex-end',
      '& div': {
        marginRight: '1.5rem',
        cursor: 'pointer',
        color: colors.primaryBlue,
      }
    },
    '& .event-content': {
      color: colors.primaryBlack1,
      '& .event-name': {
        fontWeight: 'bold',
        marginBottom: '1rem',
      },
      '& .event-time': {
        marginBottom: '2rem',

      },
      '& .event-description': {
        marginBottom: '1rem',
      },
    },
    '& .event-stat': {
      color: colors.primaryBlack1,
      '& i': {
        marginRight: 10,
        fontSize: '1.3rem',
        opacity: 0.6,
      },
      '& span': {
        fontSize: '1rem',
      },
      '& .location-stat': {
        marginBottom: 10,
      },
    },
    '&:hover': {
      backgroundColor: colors.primaryWhite2,
      '& .event-action': {
        display: 'flex',
      }
    },
  },
  eventPageContainer: {
    display: 'flex',
    flexDirection: 'column',
    flexGrow: 1,
  },
  eventSearch: {
    height: 78,
    minHeight: 78,
    width: '100%',
    padding: 20,
    display: 'flex',
    justifyContent: 'center',
    position: 'relative',
    '& .input': {
      width: 490,
      maxWidth: '100%',
    }
  },
  eventListPage: {
    flexGrow: 1,
    minHeight: 'fit-content',
    display: 'flex',
    flexWrap: 'wrap',
    alignItems: 'flex-start',
    backgroundColor: colors.primaryGray4,
    position: 'relative',
    '& .ui.card': {
      margin: 14,
      height: 310,
    },
    '& .ui.card:first-child': {
      marginTop: 14,
    },
    '& .ui.pagination.menu': {
      marginLeft: '50%',
      transform: 'translateX(-50%)',
      maxWidth: '100%',
    },
  }
}

export default stylesheet;