export const GET_PAYMENTS = "GET_PAYMENTS"
export const GET_PAYMENTS_SUCCESS = "GET_PAYMENTS_SUCCESS"
export const GET_PAYMENTS_FAILED = "GET_PAYMENTS_FAILED"

export const GET_DONATION_PAYMENTS = "GET_DONATION_PAYMENTS"
export const GET_DONATION_PAYMENTS_SUCCESS = "GET_DONATION_PAYMENTS_SUCCESS"
export const GET_DONATION_PAYMENTS_FAILED = "GET_DONATION_PAYMENTS_FAILED"

export const GET_MEMBERSHIP_PAYMENTS = "GET_MEMBERSHIP_PAYMENTS"
export const GET_MEMBERSHIP_PAYMENTS_SUCCESS = "GET_MEMBERSHIP_PAYMENTS_SUCCESS"
export const GET_MEMBERSHIP_PAYMENTS_FAILED = "GET_MEMBERSHIP_PAYMENTS_FAILED"

export const GET_PAYMENT_BY_ID = 'GET_PAYMENT_BY_ID'
export const GET_PAYMENT_BY_ID_SUCCESS = 'GET_PAYMENT_BY_ID_SUCCESS'
export const GET_PAYMENT_BY_ID_FAILED = 'GET_PAYMENT_BY_ID_FAILED'

export const CLEAR_SELECTED_PAYMENT = 'CLEAR_SELECTED_PAYMENT'

export const SAVE_PAYMENT = 'SAVE_PAYMENT'

export const GET_PAYMENTS_FILTER_SEGMENT = 'GET_PAYMENTS_FILTER_SEGMENT'
export const GET_PAYMENTS_FILTER_SEGMENT_SUCCESS= 'GET_PAYMENTS_FILTER_SEGMENT_SUCCESS'
export const GET_PAYMENTS_FILTER_SEGMENT_FAILURE= 'GET_PAYMENTS_FILTER_SEGMENT_FAILURE'

export const GET_PAYMENT_CRITERIA = 'GET_PAYMENT_CRITERIA'
export const GET_PAYMENT_CRITERIA_SUCCESS= 'GET_PAYMENT_CRITERIA_SUCCESS'
export const GET_PAYMENT_CRITERIA_FAILURE= 'GET_PAYMENT_CRITERIA_FAILURE'

export const CREATE_PAYMENT_CRITERIA = 'CREATE_PAYMENT_CRITERIA'
export const SAVE_PAYMENT_CRITERIA = 'SAVE_PAYMENT_CRITERIA'
export const DELETE_PAYMENT_CRITERIA = 'DELETE_PAYMENT_CRITERIA'

export const EXPORT_PAYMENTS = 'EXPORT_PAYMENTS'

export default {
  getPayments: (activePage = 1, filter = {}) => ({
    type: GET_PAYMENTS,
    payload: {
      activePage,
      filter,
      opts: {},
    }
  }),

  getDonationPayments: (activePage = 1, filter = {}) => ({
    type: GET_DONATION_PAYMENTS,
    payload: {
      activePage,
      filter,
      opts: {},
    }
  }),

  getMembershipPayments: (activePage = 1, filter = {}) => ({
    type: GET_MEMBERSHIP_PAYMENTS,
    payload: {
      activePage,
      filter,
      opts: {},
    }
  }),

  getPaymentById: (id) => ({
    type: GET_PAYMENT_BY_ID,
    payload: {
      id,
    }
  }),

  clearSelectedPayment: () => ({
    type: CLEAR_SELECTED_PAYMENT,
  }),

  getPaymentsByFilterSegment: (activePage = 1, filter = {}) => ({
    type: GET_PAYMENTS_FILTER_SEGMENT,
    payload: {
      activePage,
      filter,
      opts: {},
    }
  }),

  getPaymentCriteria: (accountId, activePage = 1, filter = {}) => ({
    type: GET_PAYMENT_CRITERIA,
    payload: {
      activePage,
      accountId,
      filter,
    }
  }),

  createPaymentCriteria: (accountId, criteria, opts = {}) => ({
    type: CREATE_PAYMENT_CRITERIA,
    payload: {
      accountId,
      criteria,
      opts,
    }
  }),

  savePaymentCriteria: (accountId, criteria, opts = {}) => ({
    type: SAVE_PAYMENT_CRITERIA,
    payload: {
      accountId,
      criteria,
      opts,
    }
  }),
  
  deletePaymentCriteria: (accountId, id) => ({
    type: DELETE_PAYMENT_CRITERIA,
    payload: {
      accountId,
      id,
    }
  }),

  exportPaymentsToCSV: (filter = {}, isFromSegment, opts = {}) => ({
    type: EXPORT_PAYMENTS,
    payload: {
      filter,
      isFromSegment,
      opts,
    }
  }),

  savePayment: (id, campaign_code) => ({
    type: SAVE_PAYMENT,
    payload: {
      id,
      campaign_code
    }
  })

}
