import colors from "../../../../../../Common/Constants/color";

const stylesheet = {
  criteriaList: {
    '& .selected-criteria-info': {
      display: 'flex',
      marginBottom: 10,
      alignItems: 'center',
      '& .criteria-name': {
        fontWeight: 'bold',
        fontSize: 16,
      },
    },
    '& .criteria-action': {
      display: 'flex',
      marginBottom: 20,
      alignItems: 'center',
      justifyContent: 'space-between',
      '& .edit-filter-text': {
        color: colors.mainBlue,
        marginRight: 10,
        cursor: 'pointer',
        textDecoration: 'underline',
        fontWeight: 'bold',
      },
      '& .saved-change-text': {
        color: colors.primaryRed,
        fontWeight: 'bold',
        justifySelf: 'flex-start',
        marginRight: 'auto',
      },
      '& .segment-filter-menu': {
        width: 'fit-content',
        margin: 0,
        '&.ui.menu>.item': {
          padding: [5, 30],
        }
      },
    },
    '& .criteria-list': {
      marginTop: 20,
      '& .criteria-item': {
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center',
        padding: [10, 30],
        cursor: 'pointer',
        borderRadius: 4,
        marginBottom: 2,
        '&.active': {
          backgroundColor: colors.primaryGray10,
          '& .criteria-name': {
            color: colors.primaryBlue,
          },
        },
        '&:hover': {
          backgroundColor: colors.primaryGray10,
          '& .criteria-action': {
            visibility: 'visible',
          }
        },
        '& .criteria-name': {
          fontWeight: 600,
          color: colors.primaryGray6,
        },
        '& .criteria-action': {
          visibility: 'hidden',
          display: 'flex',
          color: colors.primaryBlue,
          '& .action-item': {
            marginRight: 10,
            '&:last-child': {
              marginRight: 0,
            }
          }
        }
      }
    },
    '& .ui.pagination.menu': {
      position: 'relative',
      left: '50%',
      transform: 'translateX(-50%)',
    }
  }
};

export default stylesheet;