import Enum from "../../../../../../../Common/Constants/Enum";

export const ContactFields = {
  payment_type: {
    type: 'dropdown'
  },
  // party_branch: {
  //   type: 'dropdown'
  // },
  amount: {
    type: 'number',
  },
  membership_class: {
    type: 'string',
  },
  payment_method: {
    type: 'dropdown',
  },
  processed_date: {
    type: 'date_fy'
  },
  'payee.type': {
    type: 'dropdown'
  },
  'payee.first_name': {
    type: 'string',
  },
  'payee.middle_name': {
    type: 'string',
  },
  'payee.last_name': {
    type: 'string',
  },
  'payee.organisation_name': {
    type: 'string',
  },
  'payee.address.postal_code': {
    type: 'number',
  },
  'payee.address.state': {
    type: 'string',
  },
  'payee.is_on_electoral_roll': {
    type: 'boolean'
  },
}

export const OperatorOptions = {
  'string': [
    {
      key: 'is',
      text: 'is',
      value: 'is',
    },
    {
      key: 'is_not',
      text: 'is not',
      value: 'is_not',
    },
    {
      key: 'contains',
      text: 'contains',
      value: 'contains',
    },
    {
      key: 'not_contains',
      text: 'not contains',
      value: 'not_contains',
    },
  ],
  'number': [
    {
      key: 'is',
      text: 'is',
      value: 'is',
    },
    {
      key: 'is_not',
      text: 'is not',
      value: 'is_not',
    },
    {
      key: 'greater_than',
      text: 'greater than',
      value: 'greater_than',
    },
    {
      key: 'lower_than',
      text: 'less than',
      value: 'lower_than',
    },
  ],
  'dropdown': [
    {
      key: 'is',
      text: 'is',
      value: 'is',
    },
    {
      key: 'is_not',
      text: 'is not',
      value: 'is_not',
    },
  ],
  'date_fy': [
    {
      key: 'before',
      text: 'Before',
      value: 'before',
    },
    {
      key: 'after',
      text: 'After',
      value: 'after',
    },
    {
      key: 'this_fiscal_year',
      text: 'This fiscal year',
      value: 'this_fiscal_year'
    },
    {
      key: 'last_fiscal_year',
      text: 'Last fiscal year',
      value: 'last_fiscal_year'
    }
  ],
  'boolean': [
    {
      key: 'is',
      text: 'is',
      value: 'is',
    }
  ],
}

export const ValueDataOption = (field, messages) => {
  if(field === 'payment_type') {
    return Object.values(Enum.PaymentTypeEnum).map(item => ({
      key: item,
      text: messages[item],
      value: item
    }));
  }
  if(field === 'payment_method') {
    return Object.values(Enum.PaymentMethodEnum).map(item => ({
      key: item,
      text: messages[item],
      value: item
    }));
  }
  if(field === 'payee.type') {
    return Object.values(Enum.ContactTypeEnum).map(item => ({
      key: item,
      text: messages[item],
      value: item
    }));
  }
  if(field === 'payee.is_on_electoral_roll') {
    return [true, false].map(item => ({
      key: item,
      text: item ? "Yes" : "No",
      value: item
    }));
  }
  // if(field === 'party_branch') {
  //   return Object.values(Enum.PartyBranches).map(item => ({
  //     key: item,
  //     text: item,
  //     value: item
  //   }));
  // }
}
