import colors from "../../../../Common/Constants/color";

const stylesheet = {
  paymentAdvancedFilterSegment: {
    display: 'flex',
    height: 'calc(100vh - 100px)',
    '& .payment-advanced-list': {
      flexGrow: 1,
      overflow: 'auto',
      '& .ui.basic.table': {
        borderTop: 'none',
        '& .action-container': {
          border: '1px solid #B4BEC7',
          borderRadius: 4,
          height: 38,
          width: 'fit-content',
          minWidth: 'fit-content',
          color: colors.primaryGray2,
          textTransform: 'capitalize',
          lineHeight: '34px',
          padding: [0, 15],
          float: 'right',
          cursor: 'pointer',
          fontWeight: 700,
          fontSize: '0.9rem',
        }
      },
      '& .contact-row': {
        '& .user-action': {
          display: 'flex',
          visibility: 'hidden',
          justifyContent: 'flex-end',
          '& div': {
            marginRight: '3rem',
            cursor: 'pointer',
            color: colors.primaryBlue,
          }
        },
        '& .volunteer-city': {
          color: colors.primaryBlack1,
          marginTop: 4,
          fontSize: '0.9rem',
        },
        '&:hover': {
          '& .user-action': {
            visibility: 'visible',
          }
        },
      },
      '& .contact-header th': {
        whiteSpace: 'normal'
      },
      '& .ui.pagination.menu': {
        transform: 'translateX(-50%)',
        maxWidth: '100%',
        left: '50%',
        position: 'relative',
      },
      '& .profile-image': {
        width: 34,
        height: 34,
        objectFit: 'cover',
        borderRadius: '50%',  
      },
      '& .payment-information': {
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center',
        padding: [20, 10],
        borderBottom: `1px solid #dedede`,
        '& .action-container': {
          border: '1px solid #B4BEC7',
          borderRadius: 4,
          height: 38,
          width: 'fit-content',
          minWidth: 'fit-content',
          color: colors.primaryGray2,
          textTransform: 'capitalize',
          lineHeight: '34px',
          padding: [0, 15],
          float: 'right',
          cursor: 'pointer',
          fontWeight: 700,
          fontSize: '0.9rem',
        }
      },
    },
    '& .advanced-filter-segment': {
      width: 500,
      minWidth: 500,
      position: 'relative',
      backgroundColor: '#F7F7F7',
      overflow: 'auto',
      padding: [0, 15],
    }
  },
  flagIcon: {
    display: 'flex',
    alignItems: 'center',
    '& i': {
      fontSize: '1.5rem !important',
      opacity: '0.7 !important',
      marginRight: 5,
    },
    '& i.disabled.icon': {
      opacity: '0.15 !important',
    },
    '& i.inverted.circular.icon': {
      fontSize: '1rem !important',
      width: '1.5rem !important',
      height: '1.5rem !important',
      padding: '0 !important',
      paddingTop: '0.25rem !important',
    }
  },
  contactActions: {
    paddingRight: 30,
    textAlign: 'left',
    '& .action': {
      margin: 10,
      cursor: 'pointer',
    }
  }
};

export default stylesheet;
