import React from "react";
import { connect } from "react-redux";

import PageTitle from '../Common/Components/PageTitle';
import AppContext from "../Common/Constants/AppContext";
import PaymentActionCreator from "./Actions/PaymentActionCreator";
import FinanceDetailComponent from "./Components/FinanceDetail/FinanceDetail";

class FinanceDetail extends React.Component {
  componentDidMount() {
    const { dispatch } = this.context;
    const { match: { params: { id } } } = this.props;
    dispatch(PaymentActionCreator.getPaymentById(id));
  }

  componentWillUnmount() {
    const { dispatch } = this.context;
    dispatch(PaymentActionCreator.clearSelectedPayment());
  }

  render() {
    const { selectedPaymentDetail } = this.props;

    return (
      <div>
        <PageTitle
          title="Finance"
        />
        <FinanceDetailComponent selectedPaymentDetail={selectedPaymentDetail} />
      </div>
    );
  }
}

const
  mapStateToProps = ({ payments: { selectedPaymentDetail } }) => ({
    selectedPaymentDetail,
  });

FinanceDetail.contextType = AppContext;

export default connect(mapStateToProps)(FinanceDetail);

