import React from "react";
import { connect } from "react-redux";
import LanguageActionCreator from '../Common/Language/LanguageActionCreator';

import language from '../Common/Language/data';
import AppContext from "../Common/Constants/AppContext";

class Home extends React.Component {
  constructor() {
    super();
    this.handleCheck = this.handleCheck.bind(this);
  }

  handleCheck() {
    const { intl: { locale }, dispatch} = this.context;
    const locales = Object.keys(language);
    const index = locales.indexOf(locale);
    dispatch(LanguageActionCreator.updateDateLocale(locales[Math.abs(index - 1)]));
  }

  render() {
    const { intl } = this.context;
    return (
      <div>
        <button onClick={this.handleCheck}>
          Change Language
        </button>
        {
          intl.messages['hello']
        }
        <div>

        </div>
      </div>
    );
  }
}

const mapStateToProps = ({ intl }) => ({
  intl,
});

Home.contextType = AppContext;

export default connect(mapStateToProps)(Home);
