import React, { useState } from "react";
import { Form } from "semantic-ui-react";

const messages = {
  add: "Add",
};

const FieldInput = (props) => {
  const { onSubmit, loading } = props;

  const [value, setValue] = useState("");

  const onChange = (e) => setValue(e.target.value);

  return (
    <Form onSubmit={() => onSubmit(value)}>
      <Form.Group>
        <Form.Input onChange={onChange} value={value} />
        <Form.Button
          loading={loading}
          color="green"
          type="submit"
          disabled={!value}
        >
          {messages.add}
        </Form.Button>
      </Form.Group>
    </Form>
  );
};

export default FieldInput;
