import React, { useState } from "react";
import { Button, Modal } from "semantic-ui-react";

const messages = {
  add: "Add",
  keep: "Keep",
  archive: "Archive",
  header: "Archive Option",
  content:
    "This will remove the Title from future use. The Title will remain in place on any contacts already using this Title.",
};

const ModalDelete = (props) => {
  const { onDelete, trigger, loading } = props;

  const [open, setOpen] = useState(false);

  const onClose = () => !loading && setOpen(false)

  return (
    <Modal
      open={open}
      trigger={trigger}
      size="mini"
      onOpen={() => setOpen(true)}
      onClose={onClose}
    >
      <Modal.Header>{messages.header}</Modal.Header>
      <Modal.Content>
        <p>{messages.content}</p>
      </Modal.Content>
      <Modal.Actions>
        <Button basic onClick={onClose}>
          {messages.keep}
        </Button>
        <Button negative onClick={onDelete} loading={loading}>
          {messages.archive}
        </Button>
      </Modal.Actions>
    </Modal>
  );
};

export default ModalDelete;
