export const GET_ACCOUNT = "GET_ACCOUNT"
export const GET_ACCOUNT_SUCCESS = "GET_ACCOUNT_SUCCESS"
export const GET_ACCOUNT_FAILED = "GET_ACCOUNT_FAILED"

export const DELETE_ACCOUNT = "DELETE_ACCOUNT"
export const DELETE_ACCOUNT_SUCCESS = "DELETE_ACCOUNT_SUCCESS"
export const DELETE_ACCOUNT_FAILED = "DELETE_ACCOUNT_FAILED"

export const CREATE_ACCOUNT = "CREATE_ACCOUNT"
export const CREATE_ACCOUNT_SUCCESS = "CREATE_ACCOUNT_SUCCESS"
export const CREATE_ACCOUNT_FAILED = "CREATE_ACCOUNT_FAILED"

export const SAVE_ACCOUNT = "SAVE_ACCOUNT"
export const SAVE_ACCOUNT_FAILED = "SAVE_ACCOUNT_FAILED"

export const RESET_PASSWORD = "RESET_PASSWORD"

export const RESET_CONTACTED_FOR_NEXT_ELECTION = "RESET_CONTACTED_FOR_NEXT_ELECTION"

export const SET_DEFAULT_ADMIN = "SET_DEFAULT_ADMIN"
export const GET_DEFAULT_ADMIN = "GET_DEFAULT_ADMIN"
export const GET_DEFAULT_ACCOUNT_SUCCESS = "GET_DEFAULT_ACCOUNT_SUCCESS"

export const GET_MEMBERSHIPS = "GET_MEMBERSHIPS"
export const GET_MEMBERSHIPS_SUCCESS = "GET_MEMBERSHIPS_SUCCESS"
export const GET_MEMBERSHIPS_FAILURE = "GET_MEMBERSHIPS_FAILURE"

export const SET_AUTO_EMAILS_STATUS = "SET_AUTO_EMAILS_STATUS"

export const GET_AUTO_EMAILS_STATUS = "GET_AUTO_EMAILS_STATUS"
export const GET_AUTO_EMAILS_STATUS_SUCCESS = "SET_AUTO_EMAILS_SUCCESS"
export const GET_AUTO_EMAILS_STATUS_FAILURE = "SET_AUTO_EMAILS_FAILURE"

export const GET_CONTACT_TITLE = "GET_CONTACT_TITLE"
export const GET_CONTACT_TITLE_SUCCESS = "GET_CONTACT_TITLE_SUCCESS"

export const CREATE_CONTACT_TITLE = "CREATE_CONTACT_TITLE"
export const CREATE_CONTACT_TITLE_SUCCESS = "CREATE_CONTACT_TITLE_SUCCESS"

export const DELETE_CONTACT_TITLE = "DELETE_CONTACT_TITLE"
export const DELETE_CONTACT_TITLE_SUCCESS = "DELETE_CONTACT_TITLE_SUCCESS"


export default {
  getAccount: (activePage, filter = {}) => ({
    type: GET_ACCOUNT,
    payload: {
      activePage,
      filter,
    }
  }),
  deleteAccount: (id) => ({
    type: DELETE_ACCOUNT,
    payload: {
      id,
    }
  }),
  createAccount: (account) => ({
    type: CREATE_ACCOUNT,
    payload: {
      account,
    }
  }),
  saveAccount: (account) => ({
    type: SAVE_ACCOUNT,
    payload: {
      account,
    }
  }),

  sendEmailResetPassword: (email) => ({
    type: RESET_PASSWORD,
    payload: {
      email,
    }
  }),

  resetContactedForNextElection: () => ({
    type: RESET_CONTACTED_FOR_NEXT_ELECTION
  }),

  setDefaultAdmin: (accountId) => ({
    type: SET_DEFAULT_ADMIN,
    payload: {
      accountId,
    }
  }),
  getDefaultAdmin: () => ({
    type: GET_DEFAULT_ADMIN
  }),

  getMemberships: (activePage, filter = {}) => ({
    type: GET_MEMBERSHIPS,
    payload: {
      activePage,
      filter,
    }
  }),

  setAutoEmailsStatus: (value) => ({
    type: SET_AUTO_EMAILS_STATUS,
    payload: {
      isAutoEmail: value
    }
  }),

  getAutoEmailsStatus: () => ({
    type: GET_AUTO_EMAILS_STATUS
  }),

  getContactTitle: () => ({
    type: GET_CONTACT_TITLE
  }),

  createContactTitle: ({title}) => ({
    type: CREATE_CONTACT_TITLE, 
    payload: {title}
  }),

  deleteContactTitle: (id) => ({
    type: DELETE_CONTACT_TITLE,
    payload: {id}
  }),
}

