import React from 'react';
import { connect } from "react-redux";
import { Tab } from "semantic-ui-react";
import injectSheet from "react-jss";

import stylesheet from "./stylesheet";
import PrintingPending from "./PrintingPending/PrintingPending";
import PrintingCreated from "./PrintingCreated/PrintingCreated";

class Printing extends React.Component {
  getPanels = ({letters, printings}) => {
    return [
      {
        menuItem: "Pending",
        render: () => (
          <PrintingPending letters={letters} />
        )
      },
      {
        menuItem: "Created",
        render: () => (
          <PrintingCreated printings={printings} />
        )
      },
    ];
  }

  render() {
    const { classes, tools: { letters, printings } } = this.props;

    return (
      <div className={classes.toolPrinting}>
        <Tab menu={{ secondary: true, pointing: true }} panes={this.getPanels({letters, printings})} />
      </div>
    );
  }
}

const mapStateToProps = ({ tools }) => ({
  tools,
});

export default connect(mapStateToProps)(injectSheet(stylesheet)(Printing));