import colors from "../../../../Common/Constants/color";

const stylesheet = {
  printingPendingPage: {
    '& .state-container': {
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      padding: '2rem',
      paddingTop: 0,
      borderBottom: `1px ${colors.primaryGray7} solid`,
      '& .block-item': {
        marginRight: '1.2rem',
        display: 'flex',
        flexDirection: 'column',
        '& .ui.selection.dropdown': {
          width: 250,
        },
        '& .text-title': {
          color: colors.primaryGray5,
          marginBottom: '0.3rem',
          fontSize: '0.9rem',
        },
      },
    },
    '& .printing-pending-content': {
      '& .empty-state': {
        paddingTop: '5rem',
        display: 'flex',
        flexDirection: 'column',
        alignItems: 'center',
        '& svg': {
          margin: 'auto',
          display: 'block',
          fontSize: '3rem',
        },
        '& .empty-text': {
          color: colors.primaryGray3,
          fontSize: '1.3rem',
          width: 500,
          textAlign: 'center',
          marginTop: 30,
        }
      },
      '& .printing-pending-list': {
        paddingTop: 25,
        display: 'flex',
        flexDirection: 'column',
        alignItems: 'center',
        '& .printing-item': {
          width: 500,
          backgroundColor: colors.primaryWhite,
          border: '1px solid #ECEEF1',
          boxShadow: '0 4px 10px 0 rgba(0,0,0,0.08)',
          padding: [20, 30],
          marginBottom: 10,
          display: 'flex',
          justifyContent: 'space-between',
          alignItems: 'center',
          '& .info': {
            '& .name': {
              color: colors.primaryBlack,
              fontWeight: 700,
            },
            '& .number-contact': {
              '& .number': {
                color: colors.mainBlue,
                fontWeight: 700,
              }
            }
          },
          '& .create-pdf-button': {
            backgroundColor: colors.primaryGreen,
            padding: [5, 10],
            borderRadius: 4,
            color: colors.primaryWhite,
          }
        }
      }
    },
    '& .ui.loader': {
      position: 'relative',
      marginTop: 120
    }
  }
};

export default stylesheet;