import React from "react";
import { connect } from "react-redux";
import { Route } from 'react-router-dom';

import PageTitle from '../Common/Components/PageTitle';
import PageNavigationMenu from '../Common/Components/PageNavigationMenu';
import AppContext from "../Common/Constants/AppContext";
import Printing from "./Components/Printing/Printing";
import ElectoralRoll from "./Components/ElectoralRoll/ElectoralRoll";
import ImportHistory from "./Components/ImportHistory/ImportHistory";

class Tools extends React.Component {
  render() {
    const { intl: { messages } } = this.context;
    const { match } = this.props;
    const menuItems = [
      {
        name: 'printing',
        text: messages.printing,
        url: '/tools/printing',
      },
      {
        name: 'electoralRoll',
        text: messages.electoralRoll,
        url: '/tools/electoralRoll',
      },
      {
        name: 'importHistory',
        text: messages['tools.menu.import_history'],
        url: '/tools/importHistory',
      },
    ];

    return (
      <div>
        <PageTitle title={messages.tools} />
        <PageNavigationMenu
          tabs={menuItems}
        />
        <Route exact path={`${match.path}/printing`} render={() => <Printing />} />
        <Route path={`${match.path}/electoralRoll`} render={() => <ElectoralRoll history={this.props.history} />} />
        <Route path={`${match.path}/importHistory`} render={() => <ImportHistory />} />
      </div>
    );
  }
}


Tools.contextType = AppContext;

export default connect()(Tools);
