export const SEND_EMAIL_RECEIPT = 'SEND_EMAIL_RECEIPT'
export const DOWNLOAD_RECEIPT = 'DOWNLOAD_RECEIPT'
export const SEND_EMAIL_LETTER = 'SEND_EMAIL_LETTER'

export const GET_LETTERS = 'GET_LETTERS'
export const GET_LETTERS_SUCCESS = "GET_LETTERS_SUCCESS"
export const GET_LETTERS_FAILURE = "GET_LETTERS_FAILURE"

export const GET_PRINTINGS = 'GET_PRINTINGS'
export const GET_PRINTINGS_SUCCESS = 'GET_PRINTINGS_SUCCESS'
export const GET_PRINTINGS_FAILURE = 'GET_PRINTINGS_FAILURE'

export const DELETE_PRINTING = 'DELETE_PRINTING'

export const GENERATE_LETTERS = 'GENERATE_LETTERS'
export const GENERATE_LETTERS_SUCCESS = 'GENERATE_LETTERS_SUCCESS'
export const GENERATE_LETTERS_FAILURE = 'GENERATE_LETTERS_FAILURE'

export const DOWNLOAD_LETTER = 'DOWNLOAD_LETTER'
export const DOWNLOAD_LETTER_SUCCESS = 'DOWNLOAD_LETTER_SUCCESS'
export const DOWNLOAD_LETTER_FAILURE = 'DOWNLOAD_LETTER_FAILURE'

export const GET_ELECTORAL_ROLLS = 'GET_ELECTORAL_ROLLS'
export const GET_ELECTORAL_ROLLS_SUCCESS = "GET_ELECTORAL_ROLLS_SUCCESS"
export const GET_ELECTORAL_ROLLS_FAILURE = "GET_ELECTORAL_ROLLS_FAILURE"

export const REMOVE_ALL_ELECTORAL_ROLLS = 'REMOVE_ALL_ELECTORAL_ROLLS'
export const REMOVE_ALL_ELECTORAL_ROLLS_SUCCESS = "REMOVE_ALL_ELECTORAL_ROLLS_SUCCESS"
export const REMOVE_ALL_ELECTORAL_ROLLS_FAILURE = "REMOVE_ALL_ELECTORAL_ROLLS_FAILURE"

export const GET_IMPORT_HISTORY = 'GET_IMPORT_HISTORY'
export const GET_IMPORT_HISTORY_SUCCESS = 'GET_IMPORT_HISTORY_SUCCESS'
export const GET_IMPORT_HISTORY_FAILURE = 'GET_IMPORT_HISTORY_FAILURE'

export const UPLOAD_ELECTORAL_LIST = 'UPLOAD_ELECTORAL_LIST';
export const UPLOAD_ELECTORAL_LIST_SUCCESS = 'UPLOAD_ELECTORAL_LIST_SUCCESS';
export const UPLOAD_ELECTORAL_LIST_FAILED = 'UPLOAD_ELECTORAL_LIST_FAILED';
export const RESET_UPLOAD_ELECTORAL_LIST = 'RESET_UPLOAD_ELECTORAL_LIST'

export default {
  sendEmailReceipt: (data) => ({
    type: SEND_EMAIL_RECEIPT,
    payload: { data }
  }),

  sendEmailLetter: (data) => ({
    type: SEND_EMAIL_LETTER,
    payload: { data }
  }),

  downloadReceipt: (payment_id) => ({
    type: DOWNLOAD_RECEIPT,
    payload: { payment_id },
  }),

  getLetters: (filter = {}) => ({
    type: GET_LETTERS,
    payload: { filter }
  }),

  generateLetters: (filter = {}, opt = {}) => ({
    type: GENERATE_LETTERS,
    payload: { 
      filter, 
      opt 
    }
  }),

  downloadLetter: (paymentId, type, opt = {}) => ({
    type: DOWNLOAD_LETTER,
    payload: { 
      paymentId, 
      type,
      opt 
    }
  }),

  getPrintings: (activePage = 1, filter = {}, opt = {}) => ({
    type: GET_PRINTINGS,
    payload: { 
      filter,
      activePage,
      opt
    }
  }),

  deletePrinting: (id, opts = {}) => ({
    type: DELETE_PRINTING,
    payload: {
      id,
      opts,
    }
  }),

  getElectoralRolls: (activePage = 1, filter = {}, opt = {}) => ({
    type: GET_ELECTORAL_ROLLS,
    payload: { 
      filter,
      activePage,
      opt
     }
  }),

  removeAllVoters: () => ({
    type: REMOVE_ALL_ELECTORAL_ROLLS,
  }),

  removeAllVotersSuccess: () => ({
    type: REMOVE_ALL_ELECTORAL_ROLLS_SUCCESS,
  }),

  removeAllVotersFailure: () => ({
    type: REMOVE_ALL_ELECTORAL_ROLLS_FAILURE,
  }),

  getImportHistories: (activePage = 1, filter = {}, opt = {}) => ({
    type: GET_IMPORT_HISTORY,
    payload: { 
      filter,
      activePage,
      opt
     }
  }),

  uploadFileElectoralList: (file, isRemoveAllVoter) => ({
    type: UPLOAD_ELECTORAL_LIST,
    payload: {
      file,
      isRemoveAllVoter
    }
  }),

  resetFileElectoralListStatus: () => ({
    type: RESET_UPLOAD_ELECTORAL_LIST
  }),
}
