import 'core-js/es/object/values';
import 'core-js/es/object/keys';

import React from "react";
import ReactDOM from "react-dom";
import { Provider } from "react-redux";
import "react-datepicker/dist/react-datepicker.css";

import AppContextProvider from './Common/AppContextProvider';
import SiteSkin from "./Common/SiteSkin/SiteSkin";
import store from "./Common/store";

function App() {
  return (
    <Provider store={store}>
      <AppContextProvider>
        <SiteSkin />
      </AppContextProvider>
    </Provider>
  );
}

const rootElement = document.getElementById("root");
ReactDOM.render(<App />, rootElement);
